local AL = LibStub("AceLocale-3.0"):GetLocale("AtlasLoot")
local AtlasLoot = LibStub("AceAddon-3.0"):GetAddon("AtlasLoot")
local moduleName = "AtlasLootClasses"

-- add this module to the module list
AtlasLoot.Modules[#AtlasLoot.Modules+1] = {"AtlasLootClasses", "AtlasLoot_Classes", false, "", "Classes"}

-- add the classes ("instances") to the instance list, pointing to this module
local newmodule = #AtlasLoot_ModuleList_Loader + 1
AtlasLoot_ModuleList_Loader[newmodule] = "Classes"
AtlasLoot_InstanceList_Loader["ClassDK"] = newmodule
AtlasLoot_InstanceList_Loader["ClassDruid"] = newmodule
AtlasLoot_InstanceList_Loader["ClassHunter"] = newmodule
AtlasLoot_InstanceList_Loader["ClassMage"] = newmodule
AtlasLoot_InstanceList_Loader["ClassPaladin"] = newmodule
AtlasLoot_InstanceList_Loader["ClassPriest"] = newmodule
AtlasLoot_InstanceList_Loader["ClassRogue"] = newmodule
AtlasLoot_InstanceList_Loader["ClassShaman"] = newmodule
AtlasLoot_InstanceList_Loader["ClassWarlock"] = newmodule
AtlasLoot_InstanceList_Loader["ClassWarrior"] = newmodule

-- add text parsing macros
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#lr#", "Level Required:"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#pas#", "Passive"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#mas#", "Mastery"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#dark#", "Dark Trans."}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#cf#", "Cat Form"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#bf#", "Bear Form"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#feral#", "Feral"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#ss#", "Shapeshift"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#sum#", "Summon"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#fire#", "Fire"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#frost#", "Frost"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#nat#", "Nature"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#launch#", "(Launcher)"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#exo#", "Exotic"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#bon#", "Bonus"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#all#", "All"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#cun#", "Cunning"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#fer#", "Ferocity"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#ten#", "Tenacity"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#horde#", "|TInterface\\Icons\\inv_misc_tournaments_banner_orc:0|t"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#ally#", "|TInterface\\Icons\\inv_misc_tournaments_banner_human:0|t"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#tearth#", "Earth Totem"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#tfire#", "Fire Totem"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#twater#", "Water Totem"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#tair#", "Air Totem"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#guardian#", "Guardian"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#meta#", "Metamorphosis"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#sb#", "Soulburn"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#imp#", "Imp"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#felh#", "Felhunter"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#felg#", "Fel Guard"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#void#", "Voidwalker"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#suc#", "Succubus"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#bat#", "Battle"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#ber#", "Berserker"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#def#", "Defensive"}
AtlasLoot_TextParsing[#AtlasLoot_TextParsing+1] = {"#st#", "Stance"}

-- set crafting display to spell (not item)
AtlasLoot.db.profile.CraftingLink = 1

-- hook GetSpellLink to return valid links for specific spells
local old_GetSpellLink = GetSpellLink
function hook_GetSpellLink(...)
	local link, tradeskilllink = old_GetSpellLink(...)
	if link or tradeskilllink or select('#',...) ~= 1 then
		return link, tradeskilllink
	end
	local hookspells = {
		[53341] = true, -- rune of cinderglacier
		[53343] = true, -- rune of razorice
		[54447] = true, -- rune of spellbreaking
		[53342] = true, -- rune of spellshattering
		[53331] = true, -- rune of lichbane
		[54446] = true, -- rune of swordbreaking
		[53323] = true, -- rune of swordshattering
		[53344] = true, -- rune of fallen crusader
		[70164] = true, -- rune of nerubian carapace
		[62158] = true, -- rune of stoneskin gargoyle
		
		[49410] = true, -- forceful deflection
		[77513] = true, -- blood shield mastery
		[77514] = true, -- frozen heart mastery
		[77515] = true, -- dreadblade mastery
		
		[77492] = true, -- total eclipse mastery
		[17007] = true, -- leader of the pack
		[77493] = true, -- razor claws mastery
		[77494] = true, -- savage defender mastery
		[88423] = true, -- nature's cure
		[65139] = true, -- tree of life
		[48411] = true, -- master shapeshifter
		[77495] = true, -- harmony mastery
		
		[34692] = true, -- beast within
		[34460] = true, -- ferocious inspiration
		[76657] = true, -- master of beasts mastery
		[76659] = true, -- wild quiver mastery
		[76658] = true, -- essence of the viper mastery
		
		[76547] = true, -- mana adept mastery
		[76595] = true, -- flashburn mastery
		[76613] = true, -- frostburn mastery

		[76669] = true, -- illuminated healing mastery
		[26016] = true, -- vindication
		[76671] = true, -- divine bulwark mastery
		[31876] = true, -- communion
		[85285] = true, -- sacred shield
		[85126] = true, -- seals of command
		[76672] = true, -- hand of light mastery
		
		[33167] = true, -- absolution
		[77484] = true, -- shield discipline mastery
		[88627] = true, -- revelations
		[20711] = true, -- spirit of redemption
		[95649] = true, -- rapid renewal
		[77485] = true, -- echo of light mastery
		[77486] = true, -- shadow orb power mastery
		
		[76803] = true, -- potent poisons mastery
		[58426] = true, -- overkill
		[58410] = true, -- master poisoner
		[76806] = true, -- main gauche mastery
		[76808] = true, -- executioner mastery
		
		[16164] = true, -- elemental focus
		[88766] = true, -- fulmination
		[77222] = true, -- elemental overload mastery
		[58876] = true, -- spirit walk
		[77223] = true, -- enhanced elements mastery
		[77130] = true, -- improved cleanse spirit
		[77226] = true, -- deep healing mastery
		
		[84741] = true, -- amplify curse
		[86664] = true, -- soulburn: seed of corruption
		[77215] = true, -- potent afflictions mastery
		[85105] = true, -- inferno
		[59672] = true, -- metamorphosis
		[77219] = true, -- master demonologist mastery
		[77220] = true, -- fiery apocalypse mastery

		[76838] = true, -- strikes of opportunity mastery
		[81099] = true, -- single-minded fury
		[76856] = true, -- unshackled fury mastery
		[57499] = true, -- warbringer
		[76857] = true, -- critical block mastery
	}
	local spellid = select(1,...)
	if hookspells[spellid] then
		local spellname = GetSpellInfo(spellid)
		if spellname then
			return "|cff71d5ff|Hspell:"..spellid.."|h["..spellname.."]|h|r", nil
		else
			return "spell:"..spellid, nil
		end
	end

	return link, tradeskilllink
end
GetSpellLink = hook_GetSpellLink

-- set up loot tables for all our tabs
AtlasLoot_LootTableRegister["Instances"]["ClassDK"] = {
	["Bosses"] = {
		{ "ClassDKBlood", 2 },
		{ "ClassDKFrost", 4 },
		{ "ClassDKUnholy", 6 },
		{ "ClassDKRuneforging", 8 },
	},
	["Info"] = { "Death Knight", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassDruid"] = {
	["Bosses"] = {
		{ "ClassDruidBalance", 2 },
		{ "ClassDruidFeral", 4 },
		{ "ClassDruidResto", 6 },
	},
	["Info"] = { "Druid", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassHunter"] = {
	["Bosses"] = {
		{ "ClassHunterBM", 2 },
		{ "ClassHunterMM", 4 },
		{ "ClassHunterSV", 6 },
		{ "ClassHunterPet", 8 },
	},
	["Info"] = { "Hunter", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassMage"] = {
	["Bosses"] = {
		{ "ClassMageArcane", 2 },
		{ "ClassMageFire", 4 },
		{ "ClassMageFrost", 6 },
	},
	["Info"] = { "Mage", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassPaladin"] = {
	["Bosses"] = {
		{ "ClassPaladinHoly", 2 },
		{ "ClassPaladinProt", 4 },
		{ "ClassPaladinRet", 6 },
	},
	["Info"] = { "Paladin", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassPriest"] = {
	["Bosses"] = {
		{ "ClassPriestDisc", 2 },
		{ "ClassPriestHoly", 4 },
		{ "ClassPriestShadow", 6 },
	},
	["Info"] = { "Priest", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassRogue"] = {
	["Bosses"] = {
		{ "ClassRogueAssassination", 2 },
		{ "ClassRogueCombat", 4 },
		{ "ClassRogueSubtlety", 6 },
		{ "ClassRoguePoisons", 8 },
	},
	["Info"] = { "Rogue", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassShaman"] = {
	["Bosses"] = {
		{ "ClassShamanEle", 2 },
		{ "ClassShamanEnh", 4 },
		{ "ClassShamanResto", 6 },
	},
	["Info"] = { "Shaman", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassWarlock"] = {
	["Bosses"] = {
		{ "ClassWarlockAffliction", 2 },
		{ "ClassWarlockDemonology", 4 },
		{ "ClassWarlockDestruction", 6 },
		{ "ClassWarlockPet", 8 },
	},
	["Info"] = { "Warlock", "AtlasLootClasses" },
}
AtlasLoot_LootTableRegister["Instances"]["ClassWarrior"] = {
	["Bosses"] = {
		{ "ClassWarriorArms", 2 },
		{ "ClassWarriorFury", 4 },
		{ "ClassWarriorProt", 6 },
	},
	["Info"] = { "Warrior", "AtlasLootClasses" },
}
		
-- refresh instance data
AtlasLoot:GetModule("DefaultFrame"):CreateInstanceTab()
AtlasLoot:GetModule("DefaultFrame"):DropDownRefresh()

-- spells!
	AtlasLoot_Data["ClassDKBlood"] = {
		["Normal"] = {
			{
				{ 1, "s76282", "", "=q1=Death Knight Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76298", "", "=q1=Death Knight Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s49410", "", "=q1=Forceful Deflection", "=ds=#lr# 1"};
				{ 4, "s82246", "", "=q1=Parry", "=ds=#lr# 1"};
				{ 5, "s45902", "", "=q1=Blood Strike", "=ds=#lr# 55"};
				{ 6, "s49998", "", "=q1=Death Strike", "=ds=#lr# 56"};
				{ 7, "s50842", "", "=q1=Pestilence", "=ds=#lr# 56"};
				{ 8, "s48263", "", "=q1=Blood Presence", "=ds=#lr# 57"};
				{ 9, "s48721", "", "=q1=Blood Boil", "=ds=#lr# 58"};
				{ 10, "s47476", "", "=q1=Strangulate", "=ds=#lr# 59"};
				{ 11, "s45529", "", "=q1=Blood Tap", "=ds=#lr# 64"};
				{ 12, "s56222", "", "=q1=Dark Command", "=ds=#lr# 65"};
				{ 13, "s48743", "", "=q1=Death Pact", "=ds=#lr# 66"};
				{ 14, "s77606", "", "=q1=Dark Simulacrum", "=ds=#lr# 85"};
			};
			{
				{ 1, "s55050", "", "=q1=Heart Strike", "=ds=#lr# 55"};
				{ 2, "s50034", "", "=q1=Blood Rites", "=q0=#pas# =ds=#lr# 55"};
				{ 3, "s93099", "", "=q1=Vengeance", "=q0=#pas# =ds=#lr# 55"};
				{ 4, "s50029", "", "=q1=Veteran of the Third War", "=q0=#pas# =ds=#lr# 55"};
				{ 5, "s77513", "", "=q1=Mastery: Blood Shield", "=q0=#mas# =ds=#lr# 80"};
				
				{ 7, "s49222", "", "=q1=Bone Shield", "=ds=#lr# 29"};
				{ 8, "s48982", "", "=q1=Rune Tap", "=ds=#lr# 49"};
				{ 9, "s55233", "", "=q1=Vampiric Blood", "=ds=#lr# 49"};
				{ 10, "s49028", "", "=q1=Dancing Rune Weapon", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Blood", instance = "ClassDK",
			module = moduleName,
		};
	};
	
	AtlasLoot_Data["ClassDKFrost"] = {
		["Normal"] = {
			{
				{ 1, "s59921", "", "=q1=Frost Fever", "=ds=#lr# 0"};
				{ 2, "s66198", "", "=q1=Obliterate Off-Hand", "=ds=#lr# 0"};
				{ 3, "s48266", "", "=q1=Frost Presence", "=ds=#lr# 55"};
				{ 4, "s45477", "", "=q1=Icy Touch", "=ds=#lr# 55"};
				{ 5, "s47528", "", "=q1=Mind Freeze", "=ds=#lr# 57"};
				{ 6, "s45524", "", "=q1=Chains of Ice", "=ds=#lr# 58"};
				{ 7, "s49020", "", "=q1=Obliterate", "=ds=#lr# 61"};
				{ 8, "s3714", "", "=q1=Path of Frost", "=ds=#lr# 61"};
				{ 9, "s48792", "", "=q1=Icebound Fortitude", "=ds=#lr# 62"};
				{ 10, "s85948", "", "=q1=Festering Strike", "=ds=#lr# 64"};
				{ 11, "s57330", "", "=q1=Horn of Winter", "=ds=#lr# 65"};
				{ 12, "s56815", "", "=q1=Rune Strike", "=ds=#lr# 67"};
				{ 13, "s81229", "", "=q1=Runic Empowerment", "=q0=#pas# =ds=#lr# 68"};
				{ 14, "s86061", "", "=q1=Festering Strike Off-Hand", "=ds=#lr# 74"};
				{ 15, "s47568", "", "=q1=Empower Rune Weapon", "=ds=#lr# 75"};
			};
			{
				{ 1, "s54637", "", "=q1=Blood of the North", "=q0=#pas# =ds=#lr# 55"};
				{ 2, "s50887", "", "=q1=Icy Talons", "=q0=#pas# =ds=#lr# 55"};
				{ 3, "s49143", "", "=q1=Frost Strike", "=ds=#lr# 55"};
				{ 4, "s77514", "", "=q1=Mastery: Frozen Heart", "=q0=#mas# =ds=#lr# 80"};

				{ 6, "s49039", "", "=q1=Lichborne", "=ds=#lr# 19"};
				{ 7, "s55610", "", "=q1=Improved Icy Talons", "=ds=#lr# 39"};
				{ 8, "s51271", "", "=q1=Pillar of Frost", "=ds=#lr# 39"};
				{ 9, "s49203", "", "=q1=Hungering Cold", "=ds=#lr# 49"};
				{ 10, "s49184", "", "=q1=Howling Blast", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Frost", instance = "ClassDK",
			module = modulename,
		};
	};
	
	AtlasLoot_Data["ClassDKUnholy"] = {
		["Normal"] = {
			{
				{ 1, "s59879", "", "=q1=Blood Plague", "=ds=#lr# 1"};
				{ 2, "s47541", "", "=q1=Death Coil", "=ds=#lr# 55"};
				{ 3, "s50977", "", "=q1=Death Gate", "=ds=#lr# 55"};
				{ 4, "s49576", "", "=q1=Death Grip", "=ds=#lr# 55"};
				{ 5, "s45462", "", "=q1=Plague Strike", "=ds=#lr# 55"};
				{ 6, "s48778", "", "=q1=Acherus Deathcharger", "=q0=#sum# =ds=#lr# 55"};
				{ 7, "s46584", "", "=q1=Raise Dead", "=ds=#lr# 56"};
				{ 8, "s43265", "", "=q1=Death and Decay", "=ds=#lr# 60"};
				{ 9, "s48707", "", "=q1=Anti-Magic Shell", "=ds=#lr# 68"};
				{ 10, "s48265", "", "=q1=Unholy Presence", "=ds=#lr# 70"};
				{ 11, "s61999", "", "=q1=Raise Ally", "=ds=#lr# 72"};
				{ 12, "s42650", "", "=q1=Army of the Dead", "=ds=#lr# 80"};
				{ 13, "s77575", "", "=q1=Outbreak", "=ds=#lr# 81"};
				{ 14, "s73975", "", "=q1=Necrotic Strike", "=ds=#lr# 83"};
				
				{ 16, "s46584", "spell_shadow_animatedead", "=ds=Ghoul", ""};
				{ 17, "s47482", "", "=q1=Leap", "=ds=#lr# 1"};
				{ 18, "s91802", "", "=q1=Shambling Rush", "=q0=#dark# =ds=#lr# 1"};
				{ 19, "s47468", "", "=q1=Claw", "=ds=#lr# 50"};
				{ 20, "s91778", "", "=q1=Sweeping Claws", "=q0=#dark# =ds=#lr# 50"};
				{ 21, "s47481", "", "=q1=Gnaw", "=ds=#lr# 50"};
				{ 22, "s91797", "", "=q1=Monstrous Blow", "=q0=#dark# =ds=#lr# 50"};
				{ 23, "s47484", "", "=q1=Huddle", "=ds=#lr# 50"};
				{ 24, "s91837", "", "=q1=Putrid Bulwark", "=q0=#dark# =ds=#lr# 50"};
			};
			{
				{ 1, "s55090", "", "=q1=Scourge Strike", "=ds=#lr# 55"};
				{ 2, "s91107", "", "=q1=Unholy Might", "=q0=#pas# =ds=#lr# 55"};
				{ 3, "s56835", "", "=q1=Reaping", "=q0=#pas# =ds=#lr# 55"};
				{ 4, "s52143", "", "=q1=Master of Ghouls", "=q0=#pas# =ds=#lr# 55"};
				{ 5, "s77515", "", "=q1=Mastery: Dreadblade", "=q0=#mas# =ds=#lr# 80"};
				
				{ 7, "s49016", "", "=q1=Unholy Frenzy", "=ds=#lr# 29"};
				{ 8, "s51052", "", "=q1=Anti-Magic Zone", "=ds=#lr# 49"};
				{ 9, "s63560", "", "=q1=Dark Transformation", "=ds=#lr# 49"};
				{ 10, "s49194", "", "=q1=Unholy Blight", "=q0=#pas# =ds=#lr# 49"};
				{ 11, "s49206", "", "=q1=Summon Gargoyle", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Unholy", instance = "ClassDK",
			module = modulename,
		};
	};
	
	AtlasLoot_Data["ClassDKRuneforging"] = {
		["Normal"] = {
			{
				{ 1, "s53428", "", "=q1=Runeforging", "=ds=#lr# 55"};
				
				{ 3, "s53343", "", "=q1=Rune of Razorice", "=ds=#lr# 55"};
				{ 4, "s53341", "", "=q1=Rune of Cinderglacier", "=ds=#lr# 55"};
				{ 5, "s53342", "", "=q1=Rune of Spellshattering", "=ds=#lr# 57"};
				{ 6, "s54447", "", "=q1=Rune of Spellbreaking", "=ds=#lr# 57"};
				{ 7, "s53331", "", "=q1=Rune of Lichbane", "=ds=#lr# 60"};
				{ 8, "s54446", "", "=q1=Rune of Swordbreaking", "=ds=#lr# 63"};
				{ 9, "s53323", "", "=q1=Rune of Swordshattering", "=ds=#lr# 63"};
				{ 10, "s53344", "", "=q1=Rune of the Fallen Crusader", "=ds=#lr# 70"};
				{ 11, "s62158", "", "=q1=Rune of the Stoneskin Gargoyle", "=ds=#lr# 72"};
				{ 12, "s70164", "", "=q1=Rune of the Nerubian Carapace", "=ds=#lr# 72"};
			};
		};
		info = {
			name = "Runeforging", instance = "ClassDK",
			module = modulename,
		};
	};

	AtlasLoot_Data["ClassDruidBalance"] = {
		["Normal"] = {
			{
				{ 1, "s76275", "", "=q1=Druid Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76300", "", "=q1=Druid Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s5176", "", "=q1=Wrath", "=ds=#lr# 1"};
				{ 4, "s8921", "", "=q1=Moonfire", "=ds=#lr# 4"};
				{ 5, "s467", "", "=q1=Thorns", "=ds=#lr# 5"};
				{ 6, "s339", "", "=q1=Entangling Roots", "=ds=#lr# 7"};
				{ 7, "s2912", "", "=q1=Starfire", "=ds=#lr# 8"};
				{ 8, "s18960", "", "=q1=Teleport: Moonglade", "=ds=#lr# 15"};
				{ 9, "s5570", "", "=q1=Insect Swarm", "=ds=#lr# 20"};
				{ 10, "s770", "", "=q1=Faerie Fire", "=ds=#lr# 24"};
				{ 11, "s29166", "", "=q1=Innervate", "=ds=#lr# 28"};
				{ 12, "s2908", "", "=q1=Soothe", "=ds=#lr# 28"};
				{ 13, "s16914", "", "=q1=Hurricane", "=ds=#lr# 44"};
				{ 14, "s2637", "", "=q1=Hibernate", "=ds=#lr# 48"};
				{ 15, "s16689", "", "=q1=Nature's Grasp", "=ds=#lr# 52"};
				{ 16, "s22812", "", "=q1=Barkskin", "=ds=#lr# 58"};
				{ 17, "s33786", "", "=q1=Cyclone", "=ds=#lr# 74"};
				{ 18, "s78777", "", "=q1=Wild Mushroom", "=ds=#lr# 80"};
				{ 19, "s88747", "", "=q1=Wild Mushroom", "=ds=#lr# 85"};
				{ 20, "s88751", "", "=q1=Wild Mushroom: Detonate", "=ds=#lr# 85"};
			};
			{
				{ 1, "s78674", "", "=q1=Starsurge", "=ds=#lr# 10"};
				{ 2, "s16913", "", "=q1=Moonfury", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s77492", "", "=q1=Mastery: Total Eclipse", "=q0=#mas# =ds=#lr# 80"};

				{ 5, "s93402", "", "=q1=Sunfire", "=ds=#lr# 4"};
				{ 6, "s24858", "", "=q1=Moonkin Form", "=q0=#ss# =ds=#lr# 29"};
				{ 7, "s50516", "", "=q1=Typhoon", "=ds=#lr# 29"};
				{ 8, "s78675", "", "=q1=Solar Beam", "=ds=#lr# 39"};
				{ 9, "s48506", "", "=q1=Earth and Moon", "=ds=#lr# 49"};
				{ 10, "s33831", "", "=q1=Force of Nature", "=ds=#lr# 49"};
				{ 11, "s48505", "", "=q1=Starfall", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Balance", instance = "ClassDruid",
			module = modulename,
		};
	};

	AtlasLoot_Data["ClassDruidFeral"] = {
		["Normal"] = {
			{
				{ 1, "s1822", "", "=q1=Rake", "=q0=#cf# =ds=#lr# 8"};
				{ 2, "s768", "", "=q1=Cat Form", "=q0=#ss# =ds=#lr# 8"};
				{ 3, "s22568", "", "=q1=Ferocious Bite", "=q0=#cf# =ds=#lr# 8"};
				{ 4, "s1082", "", "=q1=Claw", "=q0=#cf# =ds=#lr# 8"};
				{ 5, "s5215", "", "=q1=Prowl", "=q0=#cf# =ds=#lr# 10"};
				{ 6, "s33878", "", "=q1=Mangle", "=q0=#bf# =ds=#lr# 10"};
				{ 7, "s33876", "", "=q1=Mangle", "=q0=#cf# =ds=#lr# 10"};
				{ 8, "s6795", "", "=q1=Growl", "=q0=#bf# =ds=#lr# 15"};
				{ 9, "s5487", "", "=q1=Bear Form", "=q0=#ss# =ds=#lr# 15"};
				{ 10, "s6807", "", "=q1=Maul", "=q0=#bf# =ds=#lr# 15"};
				{ 11, "s99", "", "=q1=Demoralizing Roar", "=q0=#bf# =ds=#lr# 15"};
				{ 12, "s1066", "", "=q1=Aquatic Form", "=q0=#ss# =ds=#lr# 16"};
				{ 13, "s783", "", "=q1=Travel Form", "=q0=#ss# =ds=#lr# 16"};
				{ 14, "s779", "", "=q1=Swipe", "=q0=#bf# =ds=#lr# 18"};
				{ 15, "s81170", "", "=q1=Ravage!", "=q0=Stampede =ds=#lr# 22"};
				{ 16, "s6785", "", "=q1=Ravage", "=q0=#cf# =ds=#lr# 22"};
				{ 17, "s5229", "", "=q1=Enrage", "=q0=#bf# =ds=#lr# 22"};
				{ 18, "s80964", "", "=q1=Skull Bash", "=q0=#bf# =ds=#lr# 22"};
				{ 19, "s80965", "", "=q1=Skull Bash", "=q0=#cf# =ds=#lr# 22"};
				{ 20, "s16857", "", "=q1=Faerie Fire (Feral)", "=q0=#feral# =ds=#lr# 24"};
				{ 21, "s5217", "", "=q1=Tiger's Fury", "=q0=#cf# =ds=#lr# 24"};
				{ 22, "s8998", "", "=q1=Cower", "=q0=#cf# =ds=#lr# 26"};
				{ 23, "s1850", "", "=q1=Dash", "=q0=#cf# =ds=#lr# 26"};
				{ 24, "s20719", "", "=q1=Feline Grace", "=q0=#pas# =ds=#lr# 26"};
				{ 25, "s5209", "", "=q1=Challenging Roar", "=q0=#bf# =ds=#lr# 28"};
				{ 26, "s5211", "", "=q1=Bash", "=q0=#bf# =ds=#lr# 32"};
				{ 27, "s5225", "", "=q1=Track Humanoids", "=q0=#cf# =ds=#lr# 32"};
				{ 28, "s9005", "", "=q1=Pounce", "=q0=#cf# =ds=#lr# 36"};
				{ 29, "s62078", "", "=q1=Swipe", "=q0=#cf# =ds=#lr# 36"};
				{ 30, "s62600", "", "=q1=Savage Defense", "=q0=#pas# =ds=#lr# 40"};
			};
			{
				{ 1, "s5221", "", "=q1=Shred", "=q0=#cf# =ds=#lr# 46"};
				{ 2, "s22842", "", "=q1=Frenzied Regeneration", "=q0=#bf# =ds=#lr# 52"};
				{ 3, "s1079", "", "=q1=Rip", "=q0=#cf# =ds=#lr# 54"};
				{ 4, "s33943", "", "=q1=Flight Form", "=q0=#ss# =ds=#lr# 60"};
				{ 5, "s22570", "", "=q1=Maim", "=q0=#cf# =ds=#lr# 62"};
				{ 6, "s33745", "", "=q1=Lacerate", "=q0=#cf# =ds=#lr# 66"};
				{ 7, "s40120", "", "=q1=Swift Flight Form", "=q0=#ss# =ds=#lr# 70"};
				{ 8, "s52610", "", "=q1=Savage Roar", "=q0=#bf# =ds=#lr# 76"};
				{ 9, "s77758", "", "=q1=Thrash", "=q0=#bf# =ds=#lr# 81"};
				{ 10, "s77761", "", "=q1=Stampeding Roar", "=q0=#bf# =ds=#lr# 83"};
				{ 11, "s77764", "", "=q1=Stampeding Roar", "=q0=#cf# =ds=#lr# 83"};
			};
			{
				{ 1, "s84735", "", "=q1=Aggression", "=q0=#pas# =ds=#lr# 10"};
				{ 2, "s87335", "", "=q1=Feral Instinct", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s84840", "", "=q1=Vengeance", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s77494", "", "=q1=Mastery: Savage Defender", "=q0=#mas# =ds=#lr# 80"};
				{ 5, "s77493", "", "=q1=Mastery: Razor Claws", "=q0=#mas# =ds=#lr# 80"};
				
				{ 7, "s16979", "", "=q1=Feral Charge", "=q0=#bf# =ds=#lr# 20"};
				{ 8, "s49376", "", "=q1=Feral Charge", "=q0=#cf# =ds=#lr# 20"};
				{ 9, "s17007", "", "=q1=Leader of the Pack", "=q0=#pas# =ds=#lr# 39"};
				{ 10, "s61336", "", "=q1=Survival Instincts", "=q0=#feral# =ds=#lr# 49"};
				{ 11, "s80313", "", "=q1=Pulverize", "=q0=#bf# =ds=#lr# 59"};
				{ 12, "s50334", "", "=q1=Berserk", "=q0=#feral# =ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Feral", instance = "ClassDruid",
			module = modulename,
		};
	};
	
	AtlasLoot_Data["ClassDruidResto"] = {
		["Normal"] = {
			{
				{ 1, "s774", "", "=q1=Rejuvenation", "=ds=#lr# 3"};
				{ 2, "s50464", "", "=q1=Nourish", "=ds=#lr# 8"};
				{ 3, "s8936", "", "=q1=Regrowth", "=ds=#lr# 12"};
				{ 4, "s50769", "", "=q1=Revive", "=ds=#lr# 12"};
				{ 5, "s16864", "", "=q1=Omen of Clarity", "=q0=#pas# =ds=#lr# 20"};
				{ 6, "s20484", "", "=q1=Rebirth", "=ds=#lr# 20"};
				{ 7, "s2782", "", "=q1=Remove Corruption", "=ds=#lr# 24"};
				{ 8, "s1126", "", "=q1=Mark of the Wild", "=ds=#lr# 30"};
				{ 9, "s33763", "", "=q1=Lifebloom", "=ds=#lr# 64"};
				{ 10, "s740", "", "=q1=Tranquility", "=ds=#lr# 68"};
				{ 11, "s5185", "", "=q1=Healing Touch", "=ds=#lr# 78"};
			};
			{
				{ 1, "s18562", "", "=q1=Swiftmend", "=ds=#lr# 10"};
				{ 2, "s85101", "", "=q1=Meditation", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s87305", "", "=q1=Gift of Nature", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s96429", "", "=q1=Disentanglement", "=q0=#pas# =ds=#lr# 80"};
				{ 5, "s77495", "", "=q1=Mastery: Harmony", "=q0=#mas# =ds=#lr# 80"};
			
				{ 7, "s65139", "", "=q1=Tree of Life", "=ds=#lr# 0"};
				{ 8, "s48411", "", "=q1=Master Shapeshifter", "=ds=#lr# 19"};
				{ 9, "s17116", "", "=q1=Nature's Swiftness", "=ds=#lr# 29"};
				{ 10, "s88423", "", "=q1=Nature's Cure", "=ds=#lr# 49"};
				{ 11, "s48438", "", "=q1=Wild Growth", "=ds=#lr# 49"};
				{ 12, "s33891", "", "=q1=Tree of Life", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Restoration", instance = "ClassDruid",
			module = modulename,
		};
	};

	AtlasLoot_Data["ClassHunterBM"] = {
		["Normal"] = {
			{
				{ 1, "s76250", "", "=q1=Hunter Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76249", "", "=q1=Hunter Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s883", "", "=q1=Call Pet 1", "=ds=#lr# 1"};
				{ 4, "s982", "", "=q1=Revive Pet", "=ds=#lr# 1"};
				{ 5, "s6991", "", "=q1=Feed Pet", "=ds=#lr# 10"};
				{ 6, "s34026", "", "=q1=Kill Command", "=ds=#lr# 10"};
				{ 7, "s1515", "", "=q1=Tame Beast", "=ds=#lr# 10"};
				{ 8, "s2641", "", "=q1=Dismiss Pet", "=ds=#lr# 10"};
				{ 9, "s79682", "", "=q1=Control Pet", "=q0=#pas# =ds=#lr# 10"};
				{ 10, "s93321", "", "=q1=Control Pet", "=q0=#pas# =ds=#lr# 10"};
				{ 11, "s1462", "", "=q1=Beast Lore", "=ds=#lr# 10"};
				{ 12, "s13165", "", "=q1=Aspect of the Hawk", "=ds=#lr# 12"};
				{ 13, "s6197", "", "=q1=Eagle Eye", "=ds=#lr# 16"};
				{ 14, "s5118", "", "=q1=Aspect of the Cheetah", "=ds=#lr# 16"};
				{ 15, "s136", "", "=q1=Mend Pet", "=ds=#lr# 16"};
				{ 16, "s83242", "", "=q1=Call Pet 2", "=ds=#lr# 18"};
				{ 17, "s1513", "", "=q1=Scare Beast", "=ds=#lr# 36"};
				{ 18, "s82654", "", "=q1=Widow Venom", "=ds=#lr# 40"};
				{ 19, "s83243", "", "=q1=Call Pet 3", "=ds=#lr# 42"};
				{ 20, "s13159", "", "=q1=Aspect of the Pack", "=ds=#lr# 56"};
				{ 21, "s83244", "", "=q1=Call Pet 4", "=ds=#lr# 62"};
				{ 22, "s20043", "", "=q1=Aspect of the Wild", "=ds=#lr# 64"};
				{ 23, "s53271", "", "=q1=Master's Call", "=ds=#lr# 74"};
				{ 24, "s83245", "", "=q1=Call Pet 5", "=ds=#lr# 82"};
				{ 25, "s82661", "", "=q1=Aspect of the Fox", "=ds=#lr# 83"};
			};
			{
				{ 1, "s19577", "", "=q1=Intimidation", "=ds=#lr# 1"};
				{ 2, "s87325", "", "=q1=Animal Handler", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s76657", "", "=q1=Mastery: Master of Beasts", "=q0=#mas# =ds=#lr# 1"};
							
				{ 5, "s82726", "", "=q1=Fervor", "=ds=#lr# 29"};
				{ 6, "s82692", "", "=q1=Focus Fire", "=ds=#lr# 29"};
				{ 7, "s19574", "", "=q1=Bestial Wrath", "=ds=#lr# 49"};
				{ 8, "s34460", "", "=q1=Ferocious Inspiration", "=q0=#pas# =ds=#lr# 49"};
				{ 9, "s34692", "", "=q1=The Beast Within", "=ds=#lr# 59"};
				{ 10, "s53270", "", "=q1=Beast Mastery", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Beast Mastery", instance = "ClassHunter",
			module = modulename,
		};
	};
	
	AtlasLoot_Data["ClassHunterMM"] = {
		["Normal"] = {
			{
				{ 1, "s3044", "", "=q1=Arcane Shot", "=ds=#lr# 1"};
				{ 2, "s75", "", "=q1=Auto Shot", "=ds=#lr# 1"};
				{ 3, "s56641", "", "=q1=Steady Shot", "=ds=#lr# 3"};
				{ 4, "s5116", "", "=q1=Concussive Shot", "=ds=#lr# 8"};
				{ 5, "s82928", "", "=q1=Aimed Shot!", "=q0=Master Marksman =ds=#lr# 10"};
				{ 6, "s1130", "", "=q1=Hunter's Mark", "=ds=#lr# 14"};
				{ 7, "s2643", "", "=q1=Multi-Shot", "=ds=#lr# 24"};
				{ 8, "s53351", "", "=q1=Kill Shot", "=ds=#lr# 35"};
				{ 9, "s19801", "", "=q1=Tranquilizing Shot", "=ds=#lr# 35"};
				{ 10, "s1543", "", "=q1=Flare", "=ds=#lr# 38"};
				{ 11, "s20736", "", "=q1=Distracting Shot", "=ds=#lr# 52"};
				{ 12, "s3045", "", "=q1=Rapid Fire", "=ds=#lr# 54"};
			};
			{
				{ 1, "s19434", "", "=q1=Aimed Shot", "=ds=#lr# 1"};
				{ 2, "s87326", "", "=q1=Artisan Quiver", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s76659", "", "=q1=Mastery: Wild Quiver", "=q0=#mas# =ds=#lr# 1"};
				
				{ 5, "s83359", "", "=q1=Sic 'Em!", "=q0=#pas# =ds=#lr# 0"};
				{ 6, "s34490", "", "=q1=Silencing Shot", "=ds=#lr# 29"};
				{ 7, "s19506", "", "=q1=Trueshot Aura", "=q0=#pas# =ds=#lr# 39"};
				{ 8, "s23989", "", "=q1=Readiness", "=ds=#lr# 49"};
				{ 9, "s53209", "", "=q1=Chimera Shot", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Marksmanship", instance = "ClassHunter",
			module = modulename,
		};
	};
	
	AtlasLoot_Data["ClassHunterSV"] = {
		["Normal"] = {
			{
				{ 1, "s1494", "", "=q1=Track Beasts", "=ds=#lr# 4"};
				{ 2, "s2973", "", "=q1=Raptor Strike", "=ds=#lr# 6"};
				{ 3, "s82243", "", "=q1=Parry", "=q0=#pas# =ds=#lr# 8"};
				{ 4, "s1978", "", "=q1=Serpent Sting", "=ds=#lr# 10"};
				{ 5, "s2974", "", "=q1=Wing Clip", "=ds=#lr# 12"};
				{ 6, "s19883", "", "=q1=Track Humanoids", "=ds=#lr# 12"};
				{ 7, "s781", "", "=q1=Disengage", "=ds=#lr# 14"};
				{ 8, "s19503", "", "=q1=Scatter Shot", "=ds=#lr# 15"};
				{ 9, "s19884", "", "=q1=Track Undead", "=ds=#lr# 18"};
				{ 10, "s13795", "", "=q1=Immolation Trap", "=q0=#fire# =ds=#lr# 22"};
				{ 11, "s82945", "", "=q1=Immolation Trap", "=q0=#fire# #launch# =ds=#lr# 22"};
				{ 12, "s19885", "", "=q1=Track Hidden", "=ds=#lr# 26"};
				{ 13, "s1499", "", "=q1=Freezing Trap", "=q0=#frost# =ds=#lr# 28"};
				{ 14, "s60192", "", "=q1=Freezing Trap", "=q0=#frost# #launch# =ds=#lr# 28"};
				{ 15, "s5384", "", "=q1=Feign Death", "=ds=#lr# 32"};
				{ 16, "s19880", "", "=q1=Track Elementals", "=ds=#lr# 34"};
				{ 17, "s19878", "", "=q1=Track Demons", "=ds=#lr# 36"};
				{ 18, "s13813", "", "=q1=Explosive Trap", "=q0=#fire# =ds=#lr# 38"};
				{ 19, "s82939", "", "=q1=Explosive Trap", "=q0=#fire# #launch# =ds=#lr# 38"};
				{ 20, "s19882", "", "=q1=Track Giants", "=ds=#lr# 46"};
				{ 21, "s13809", "", "=q1=Ice Trap", "=q0=#frost# =ds=#lr# 46"};
				{ 22, "s82941", "", "=q1=Ice Trap", "=q0=#frost# #launch# =ds=#lr# 46"};
				{ 23, "s77769", "", "=q1=Trap Launcher", "=ds=#lr# 48"};
				{ 24, "s19879", "", "=q1=Track Dragonkin", "=ds=#lr# 52"};
				{ 25, "s34600", "", "=q1=Snake Trap", "=q0=#nat# =ds=#lr# 66"};
				{ 26, "s82948", "", "=q1=Snake Trap", "=q0=#nat# #launch# =ds=#lr# 66"};
				{ 27, "s34477", "", "=q1=Misdirection", "=ds=#lr# 76"};
				{ 28, "s19263", "", "=q1=Deterrence", "=ds=#lr# 78"};
				{ 29, "s77767", "", "=q1=Cobra Shot", "=ds=#lr# 81"};
				{ 30, "s51753", "", "=q1=Camouflage", "=ds=#lr# 85"};
			};
			{
				{ 1, "s53301", "", "=q1=Explosive Shot", "=ds=#lr# 1"};
				{ 2, "s84729", "", "=q1=Into the Wilderness", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s76658", "", "=q1=Mastery: Essence of the Viper", "=q0=#mas# =ds=#lr# 1"};
				
				{ 5, "s19306", "", "=q1=Counterattack", "=ds=#lr# 29"};
				{ 6, "s53290", "", "=q1=Hunting Party", "=q0=#pas# =ds=#lr# 49"};
				{ 7, "s19386", "", "=q1=Wyvern Sting", "=ds=#lr# 49"};
				{ 8, "s3674", "", "=q1=Black Arrow", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Survival", instance = "ClassHunter",
			module = modulename,
		};
	};
	
	AtlasLoot_Data["ClassHunterPet"] = {
		["Normal"] = {
			{
				{ 1, "s65220", "", "=q1=Avoidance", "=q0=#all#, #pas# =ds=#lr# 10"};
				{ 2, "s17253", "", "=q1=Bite", "=q0=Basic Attack =ds=#lr# 10"};
				{ 3, "s16827", "", "=q1=Claw", "=q0=Basic Attack =ds=#lr# 10"};
				{ 4, "s49966", "", "=q1=Smack", "=q0=Basic Attack =ds=#lr# 10"};
				{ 5, "s2649", "", "=q1=Growl", "=q0=#all# =ds=#lr# 10"};
				
				{ 7, 0, "achievement_level_20", "=ds=#lr# 20", "=q1=Sorted by pet type"};
				{ 8, "s1742", "", "=q1=Cower", "=q0=#all#"};
				{ 9, "s50519", "", "=q1=Sonic Blast", "=q0=Bat"};
				{ 10, "s50256", "", "=q1=Demoralizing Roar", "=q0=Bear"};
				{ 11, "s94019", "", "=q1=Rest", "=q0=Bear (#bon#)"};
				{ 12, "s91644", "", "=q1=Snatch", "=q0=Bird of Prey"};
				{ 13, "s94022", "", "=q1=Trick", "=q0=Bird of Prey (#bon#)"};
				{ 14, "s35290", "", "=q1=Gore", "=q0=Boar"};
				{ 15, "s24423", "", "=q1=Demoralizing Screech", "=q0=Carrion Bird"};
				{ 16, "s93435", "", "=q1=Roar of Courage", "=q0=Cat"};
				{ 17, "s24450", "", "=q1=Prowl", "=q0=Cat (#bon#)"};
				{ 18, "s54644", "", "=q1=Frost Breath", "=q0=Chimaera (#exo#)"};
				{ 19, "s92380", "", "=q1=Froststorm Breath", "=q0=Chimaera (AOE, #exo#)"};
				{ 20, "s90355", "", "=q1=Ancient Hysteria", "=q0=Core Hound (#exo#)"};
				{ 21, "s58604", "", "=q1=Lava Breath", "=q0=Core Hound (#exo#)"};
				{ 22, "s50245", "", "=q1=Pin", "=q0=Crab"};
				{ 23, "s50433", "", "=q1=Ankle Crack", "=q0=Crocolisk"};
				{ 24, "s54680", "", "=q1=Monstrous Bite", "=q0=Devilsaur (#exo#)"};
				{ 25, "s90309", "", "=q1=Terrifying Roar", "=q0=Devilsaur (#exo#)"};
				{ 26, "s34889", "", "=q1=Fire Breath", "=q0=Dragonhawk"};
				{ 27, "s26090", "", "=q1=Pummel", "=q0=Gorilla"};
				{ 28, "s50271", "", "=q1=Tendon Rip", "=q0=Hyena"};
				{ 29, "s50318", "", "=q1=Serenity Dust", "=q0=Moth"};
				{ 30, "s50479", "", "=q1=Nether Shock", "=q0=Nether Ray"};
			};
			{
				{ 1, "s50498", "", "=q1=Tear Armor", "=q0=Raptor"};
				{ 2, "s50518", "", "=q1=Ravage", "=q0=Ravager"};
				{ 3, "s93434", "", "=q1=Horn Toss", "=q0=Rhino (#exo#)"};
				{ 4, "s57386", "", "=q1=Stampede", "=q0=Rhino (#exo#)"};
				{ 5, "s50541", "", "=q1=Clench", "=q0=Scorpion"};
				{ 6, "s35387", "", "=q1=Corrosive Spit", "=q0=Serpent"};
				{ 7, "s90364", "", "=q1=Qiraji Fortitude", "=q0=Silithid (#exo#)"};
				{ 8, "s54706", "", "=q1=Venom Web Spray", "=q0=Silithid (#exo#)"};
				{ 9, "s4167", "", "=q1=Web", "=q0=Spider"};
				{ 10, "s93435", "", "=q1=Roar of Courage", "=q0=Spirit Beast (#exo#)"};
				{ 11, "s90361", "", "=q1=Spirit Mend", "=q0=Spirit Beast (#exo#)"};
				{ 12, "s90328", "", "=q1=Spirit Walk", "=q0=Spirit Beast (#bon#, #exo#)"};
				{ 13, "s50274", "", "=q1=Spore Cloud", "=q0=Sporebat"};
				{ 14, "s50285", "", "=q1=Dust Cloud", "=q0=Tallstrider"};
				{ 15, "s26064", "", "=q1=Shell Shield", "=q0=Turtle"};
				{ 16, "s35346", "", "=q1=Time Warp", "=q0=Warp Stalker"};
				{ 17, "s56626", "", "=q1=Sting", "=q0=Wasp"};
				{ 18, "s24844", "", "=q1=Lightning Breath", "=q0=Wind Serpent"};
				{ 19, "s24604", "", "=q1=Furious Howl", "=q0=Wolf"};
				{ 20, "s55749", "", "=q1=Acid Spit", "=q0=Worm (#exo#)"};
				{ 21, "s93433", "", "=q1=Burrow Attack", "=q0=Worm (AOE, #exo#)"};
			};
			{
				{ 1, 0, "ability_druid_swipe", "=ds=Ferocity", ""};
				{ 2, "s61684", "", "=q1=Dash", "=q0=#fer# =ds=#lr# 20"};
				{ 3, "s23145", "", "=q1=Dive", "=q0=#fer# =ds=#lr# 20"};
				{ 4, "s19596", "", "=q1=Boar's Speed", "=q0=#fer#, #pas# =ds=#lr# 32"};
				{ 5, "s61685", "", "=q1=Charge", "=q0=#fer# =ds=#lr# 44"};
				{ 6, "s52825", "", "=q1=Swoop", "=q0=#fer# =ds=#lr# 44"};
				{ 7, "s55709", "", "=q1=Heart of the Phoenix", "=q0=#fer# =ds=#lr# 56"};
				{ 8, "s53434", "", "=q1=Call of the Wild", "=q0=#fer# =ds=#lr# 68"};
				{ 9, "s53426", "", "=q1=Lick Your Wounds", "=q0=#fer# =ds=#lr# 68"};
				{ 10, "s53401", "", "=q1=Rabid", "=q0=#fer# =ds=#lr# 68"};

				{ 12, 0, "ability_hunter_pet_bear", "=ds=Tenacity", ""};
				{ 13, "s19596", "", "=q1=Boar's Speed", "=q0=#ten#, #pas# =ds=#lr# 32"};
				{ 14, "s61685", "", "=q1=Charge", "=q0=#ten# =ds=#lr# 44"};
				{ 15, "s63900", "", "=q1=Thunderstomp", "=q0=#ten# =ds=#lr# 44"};
				{ 16, "s53476", "", "=q1=Intervene", "=q0=#ten# =ds=#lr# 68"};
				{ 17, "s53478", "", "=q1=Last Stand", "=q0=#ten# =ds=#lr# 68"};
				{ 18, "s53480", "", "=q1=Roar of Sacrifice", "=q0=#ten# =ds=#lr# 68"};
				{ 19, "s53477", "", "=q1=Taunt", "=q0=#ten# =ds=#lr# 68"};
				
				{ 21, 0, "ability_hunter_combatexperience", "=ds=Cunning", ""};
				{ 22, "s61684", "", "=q1=Dash", "=q0=#cun# =ds=#lr# 20"};
				{ 23, "s23145", "", "=q1=Dive", "=q0=#cun# =ds=#lr# 20"};
				{ 24, "s19596", "", "=q1=Boar's Speed", "=q0=#cun#, #pas# =ds=#lr# 32"};
				{ 25, "s54044", "", "=q1=Carrion Feeder", "=q0=#cun# =ds=#lr# 44"};
				{ 26, "s53490", "", "=q1=Bullheaded", "=q0=#cun# =ds=#lr# 68"};
				{ 27, "s53517", "", "=q1=Roar of Recovery", "=q0=#cun# =ds=#lr# 68"};
				{ 28, "s53480", "", "=q1=Roar of Sacrifice", "=q0=#cun# =ds=#lr# 68"};
				{ 29, "s53508", "", "=q1=Wolverine Bite", "=q0=#cun# =ds=#lr# 68"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Pet", instance = "ClassHunter",
			module = modulename,
		};
	};

	AtlasLoot_Data["ClassMageArcane"] = {
		["Normal"] = {
			{
				{ 1, "s76276", "", "=q1=Mage Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76298", "", "=q1=Mage Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s5143", "", "=q1=Arcane Missiles", "=ds=#lr# 3"};
				{ 4, "s2139", "", "=q1=Counterspell", "=ds=#lr# 9"};
				{ 5, "s12051", "", "=q1=Evocation", "=ds=#lr# 12"};
				{ 6, "s118", "", "=q1=Polymorph", "=ds=#lr# 14"};
				{ 7, "s1953", "", "=q1=Blink", "=ds=#lr# 16"};
				{ 8, "s30451", "", "=q1=Arcane Blast", "=ds=#lr# 20"};
				{ 9, "s1449", "", "=q1=Arcane Explosion", "=ds=#lr# 22"};
				{ 10, "s3565", "", "=q1=Teleport: Darnassus", "=q0=#ally# =ds=#lr# 24"};
				{ 11, "s32271", "", "=q1=Teleport: Exodar", "=q0=#ally# =ds=#lr# 24"};
				{ 12, "s3562", "", "=q1=Teleport: Ironforge", "=q0=#ally# =ds=#lr# 24"};
				{ 13, "s3567", "", "=q1=Teleport: Orgrimmar", "=q0=#horde# =ds=#lr# 24"};
				{ 14, "s32272", "", "=q1=Teleport: Silvermoon", "=q0=#horde# =ds=#lr# 24"};
				{ 15, "s3561", "", "=q1=Teleport: Stormwind", "=q0=#ally# =ds=#lr# 24"};
				{ 16, "s49359", "", "=q1=Teleport: Theramore", "=q0=#ally# =ds=#lr# 24"};
				{ 17, "s3566", "", "=q1=Teleport: Thunder Bluff", "=q0=#horde# =ds=#lr# 24"};
				{ 18, "s3563", "", "=q1=Teleport: Undercity", "=q0=#horde# =ds=#lr# 24"};
				{ 19, "s475", "", "=q1=Remove Curse", "=ds=#lr# 30"};
				{ 20, "s130", "", "=q1=Slow Fall", "=ds=#lr# 32"};
				{ 21, "s543", "", "=q1=Mage Ward", "=ds=#lr# 36"};
				{ 22, "s42955", "", "=q1=Conjure Refreshment", "=ds=#lr# 38"};
				{ 23, "s11419", "", "=q1=Portal: Darnassus", "=q0=#ally# =ds=#lr# 42"};
				{ 24, "s32266", "", "=q1=Portal: Exodar", "=q0=#ally# =ds=#lr# 42"};
				{ 25, "s11416", "", "=q1=Portal: Ironforge", "=q0=#ally# =ds=#lr# 42"};
				{ 26, "s11417", "", "=q1=Portal: Orgrimmar", "=q0=#horde# =ds=#lr# 42"};
				{ 27, "s32267", "", "=q1=Portal: Silvermoon", "=q0=#horde# =ds=#lr# 42"};
				{ 28, "s10059", "", "=q1=Portal: Stormwind", "=q0=#ally# =ds=#lr# 42"};
				{ 29, "s49360", "", "=q1=Portal: Theramore", "=q0=#ally# =ds=#lr# 42"};
				{ 30, "s11420", "", "=q1=Portal: Thunder Bluff", "=q0=#horde# =ds=#lr# 42"};
			};
			{
				{ 1, "s11418", "", "=q1=Portal: Undercity", "=q0=#horde# =ds=#lr# 42"};
				{ 2, "s1463", "", "=q1=Mana Shield", "=ds=#lr# 46"};
				{ 3, "s759", "", "=q1=Conjure Mana Gem", "=ds=#lr# 48"};
				{ 4, "s55342", "", "=q1=Mirror Image", "=ds=#lr# 50"};
				{ 5, "s49361", "", "=q1=Portal: Stonard", "=q0=#horde# =ds=#lr# 52"};
				{ 6, "s49358", "", "=q1=Teleport: Stonard", "=q0=#horde# =ds=#lr# 52"};
				{ 7, "s1459", "", "=q1=Arcane Brilliance", "=ds=#lr# 58"};
				{ 8, "s61305", "", "=q1=Polymorph", "=q0=Black Cat =ds=#lr# 60"};
				{ 9, "s28272", "", "=q1=Polymorph", "=q0=Pig =ds=#lr# 60"};
				{ 10, "s61721", "", "=q1=Polymorph", "=q0=Rabbit =ds=#lr# 60"};
				{ 11, "s61780", "", "=q1=Polymorph", "=q0=Turkey =ds=#lr# 60"};
				{ 12, "s28271", "", "=q1=Polymorph", "=q0=Turtle =ds=#lr# 60"};
				{ 13, "s33690", "", "=q1=Teleport: Shattrath", "=q0=#ally# =ds=#lr# 62"};
				{ 14, "s35715", "", "=q1=Teleport: Shattrath", "=q0=#horde# =ds=#lr# 62"};
				{ 15, "s35717", "", "=q1=Portal: Shattrath", "=q0=#horde# =ds=#lr# 66"};
				{ 16, "s33691", "", "=q1=Portal: Shattrath", "=q0=#ally# =ds=#lr# 66"};
				{ 17, "s6117", "", "=q1=Mage Armor", "=ds=#lr# 68"};
				{ 18, "s30449", "", "=q1=Spellsteal", "=ds=#lr# 70"};
				{ 19, "s53140", "", "=q1=Teleport: Dalaran", "=q0=#horde# =ds=#lr# 71"};
				{ 20, "s53142", "", "=q1=Portal: Dalaran", "=q0=#horde# =ds=#lr# 74"};
				{ 21, "s43987", "", "=q1=Ritual of Refreshment", "=ds=#lr# 76"};
				{ 22, "s66", "", "=q1=Invisibility", "=ds=#lr# 78"};
				{ 23, "s61316", "", "=q1=Dalaran Brilliance", "=ds=#lr# 80"};
				{ 24, "s88345", "", "=q1=Portal: Tol Barad", "=q0=#ally# =ds=#lr# 85"};
				{ 25, "s88346", "", "=q1=Portal: Tol Barad", "=q0=#horde# =ds=#lr# 85"};
				{ 26, "s88342", "", "=q1=Teleport: Tol Barad", "=q0=#ally# =ds=#lr# 85"};
				{ 27, "s88344", "", "=q1=Teleport: Tol Barad", "=q0=#horde# =ds=#lr# 85"};
				{ 28, "s80353", "", "=q1=Time Warp", "=ds=#lr# 85"};
			};
			{
			        { 1, "s44425", "", "=q1=Arcane Barrage", "=ds=#lr# 10"};
			        { 2, "s84671", "", "=q1=Arcane Specialization", "=q0=#pas# =ds=#lr# 10"};
			        { 3, "s76547", "", "=q1=Mastery: Mana Adept", "=q0=#mas# =ds=#lr# 80"};			
				
				{ 5, "s12043", "", "=q1=Presence of Mind", "=ds=#lr# 29"};
				{ 6, "s82930", "", "=q1=Arcane Tactics", "=q0=#pas# =ds=#lr# 39"};
				{ 7, "s31589", "", "=q1=Slow", "=ds=#lr# 49"};
				{ 8, "s54646", "", "=q1=Focus Magic", "=ds=#lr# 59"};
				{ 9, "s12042", "", "=q1=Arcane Power", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Arcane", instance = "ClassMage",
			module = moduleName,
		};
	};
	
	AtlasLoot_Data["ClassMageFire"] = {
		["Normal"] = {
			{
				{ 1, "s133", "", "=q1=Fireball", "=ds=#lr# 1"};
				{ 2, "s2136", "", "=q1=Fire Blast", "=ds=#lr# 5"};
				{ 3, "s92315", "", "=q1=Pyroblast!", "=ds=#lr# 10"};
				{ 4, "s2948", "", "=q1=Scorch", "=ds=#lr# 26"};
				{ 5, "s30482", "", "=q1=Molten Armor", "=ds=#lr# 34"};
				{ 6, "s2120", "", "=q1=Flamestrike", "=ds=#lr# 44"};
				{ 7, "s88148", "", "=q1=Flamestrike", "=ds=#lr# 44"};
				{ 8, "s44614", "", "=q1=Frostfire Bolt", "=ds=#lr# 56"};
				{ 9, "s82731", "", "=q1=Flame Orb", "=ds=#lr# 81"};
			};
			{
			        { 1, "s11366", "", "=q1=Pyroblast", "=ds=#lr# 10"};
			        { 2, "s84668", "", "=q1=Fire Specialization", "=q0=#pas# =ds=#lr# 10"};
			        { 3, "s76595", "", "=q1=Mastery: Flashburn", "=q0=#mas# =ds=#lr# 80"};			
				
				{ 5, "s83619", "", "=q1=Fire Power", "=q0=#pas# =ds=#lr# 1"};
				{ 6, "s11113", "", "=q1=Blast Wave", "=ds=#lr# 29"};
				{ 7, "s11129", "", "=q1=Combustion", "=ds=#lr# 39"};
				{ 8, "s31661", "", "=q1=Dragon's Breath", "=ds=#lr# 49"};
				{ 9, "s44457", "", "=q1=Living Bomb", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Fire", instance = "ClassMage",
			module = moduleName,
		};
	};
	
	AtlasLoot_Data["ClassMageFrost"] = {
		["Normal"] = {
			{
				{ 1, "s116", "", "=q1=Frostbolt", "=ds=#lr# 7"};
				{ 2, "s122", "", "=q1=Frost Nova", "=ds=#lr# 8"};
				{ 3, "s120", "", "=q1=Cone of Cold", "=ds=#lr# 18"};
				{ 4, "s30455", "", "=q1=Ice Lance", "=ds=#lr# 28"};
				{ 5, "s45438", "", "=q1=Ice Block", "=ds=#lr# 30"};
				{ 6, "s10", "", "=q1=Blizzard", "=ds=#lr# 52"};
				{ 7, "s7302", "", "=q1=Frost Armor", "=ds=#lr# 54"};
				{ 8, "s82691", "", "=q1=Ring of Frost", "=ds=#lr# 83"};
				{ 9, "s82676", "", "=q1=Ring of Frost", "=ds=#lr# 83"};
				
				{ 11, "s31687", "spell_frost_summonwaterelemental_2", "=ds=Water Elemental", ""};
				{ 12, "s31707", "", "=q1=Waterbolt", "=ds=#lr# 10"};
				{ 13, "s33395", "", "=q1=Freeze", "=ds=#lr# 10"};
			};
			{
			        { 1, "s31687", "", "=q1=Summon Water Elemental", "=ds=#lr# 10"};
			        { 2, "s84669", "", "=q1=Frost Specialization", "=q0=#pas# =ds=#lr# 10"};
			        { 3, "s76613", "", "=q1=Mastery: Frostburn", "=q0=#mas# =ds=#lr# 80"};			
				
				{ 5, "s12472", "", "=q1=Icy Veins", "=ds=#lr# 29"};
				{ 6, "s11958", "", "=q1=Cold Snap", "=ds=#lr# 39"};
				{ 7, "s11426", "", "=q1=Ice Barrier", "=ds=#lr# 49"};
				{ 8, "s71757", "", "=q1=Deep Freeze", "=ds=#lr# 60"};
				{ 9, "s44572", "", "=q1=Deep Freeze", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Frost", instance = "ClassMage",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassPaladinHoly"] = {
		["Normal"] = {
			{
				{ 1, "s76271", "", "=q1=Paladin Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76294", "", "=q1=Paladin Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s635", "", "=q1=Holy Light", "=ds=#lr# 7"};
				{ 4, "s85673", "", "=q1=Word of Glory", "=ds=#lr# 9"};
				{ 5, "s7328", "", "=q1=Redemption", "=ds=#lr# 12"};
				{ 6, "s19750", "", "=q1=Flash of Light", "=ds=#lr# 16"};
				{ 7, "s633", "", "=q1=Lay on Hands", "=ds=#lr# 16"};
				{ 8, "s879", "", "=q1=Exorcism", "=ds=#lr# 18"};
				{ 9, "s73629", "", "=q1=Summon Exarch's Elekk", "=q0=#sum#, Draenei =ds=#lr# 20"};
				{ 10, "s69820", "", "=q1=Summon Sunwalker Kodo", "=q0=#sum#, Tauren =ds=#lr# 20"};
				{ 11, "s34769", "", "=q1=Summon Warhorse", "=q0=#sum#, #horde# =ds=#lr# 20"};
				{ 12, "s13819", "", "=q1=Summon Warhorse", "=q0=#sum#, #ally# =ds=#lr# 20"};
				{ 13, "s26573", "", "=q1=Consecration", "=ds=#lr# 24"};
				{ 14, "s2812", "", "=q1=Holy Wrath", "=ds=#lr# 28"};
				{ 15, "s20165", "", "=q1=Seal of Insight", "=ds=#lr# 32"};
				{ 16, "s4987", "", "=q1=Cleanse", "=ds=#lr# 34"};
				{ 17, "s34767", "", "=q1=Summon Charger", "=q0=#sum#, #horde# =ds=#lr# 40"};
				{ 18, "s23214", "", "=q1=Summon Charger", "=q0=#sum#, #ally# =ds=#lr# 40"};
				{ 19, "s73630", "", "=q1=Summon Great Exarch's Elekk", "=q0=#sum#, Draenei =ds=#lr# 40"};
				{ 20, "s69826", "", "=q1=Summon Great Sunwalker Kodo", "=q0=#sum#, Tauren =ds=#lr# 40"};
				{ 21, "s19746", "", "=q1=Concentration Aura", "=ds=#lr# 42"};
				{ 22, "s54428", "", "=q1=Divine Plea", "=ds=#lr# 44"};
				{ 23, "s82326", "", "=q1=Divine Light", "=ds=#lr# 62"};
				{ 24, "s10326", "", "=q1=Turn Evil", "=ds=#lr# 78"};
				{ 25, "s82327", "", "=q1=Holy Radiance", "=ds=#lr# 83"};
				{ 26, "s86669", "", "=q1=Guardian of Ancient Kings", "=q0=#guardian# =ds=#lr# 85"};
			};
			{
				{ 1, "s20473", "", "=q1=Holy Shock", "=ds=#lr# 10"};
				{ 2, "s95859", "", "=q1=Meditation", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s85102", "", "=q1=Walk in the Light", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s76669", "", "=q1=Mastery: Illuminated Healing", "=q0=#mas# =ds=#lr# 80"};
			
				{ 6, "s31842", "", "=q1=Divine Favor", "=ds=#lr# 29"};
				{ 7, "s53563", "", "=q1=Beacon of Light", "=ds=#lr# 39"};
				{ 8, "s31821", "", "=q1=Aura Mastery", "=ds=#lr# 49"};
				{ 9, "s85222", "", "=q1=Light of Dawn", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Holy", instance = "ClassPaladin",
			module = moduleName,
		};
	};
	
	AtlasLoot_Data["ClassPaladinProt"] = {
		["Normal"] = {
			{
				{ 1, "s20154", "", "=q1=Seal of Righteousness", "=ds=#lr# 3"};
				{ 2, "s465", "", "=q1=Devotion Aura", "=ds=#lr# 5"};
				{ 3, "s82242", "", "=q1=Parry", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s25780", "", "=q1=Righteous Fury", "=ds=#lr# 12"};
				{ 5, "s853", "", "=q1=Hammer of Justice", "=ds=#lr# 14"};
				{ 6, "s62124", "", "=q1=Hand of Reckoning", "=ds=#lr# 14"};
				{ 7, "s1022", "", "=q1=Hand of Protection", "=ds=#lr# 18"};
				{ 12, "s20217", "", "=q1=Blessing of Kings", "=ds=#lr# 22"};
				{ 13, "s498", "", "=q1=Divine Protection", "=ds=#lr# 30"};
				{ 13, "s31789", "", "=q1=Righteous Defense", "=ds=#lr# 36"};
				{ 14, "s642", "", "=q1=Divine Shield", "=ds=#lr# 48"};
				{ 15, "s1044", "", "=q1=Hand of Freedom", "=ds=#lr# 52"};
				{ 16, "s20164", "", "=q1=Seal of Justice", "=ds=#lr# 64"};
				{ 17, "s1038", "", "=q1=Hand of Salvation", "=ds=#lr# 66"};
				{ 18, "s19891", "", "=q1=Resistance Aura", "=ds=#lr# 76"};
				{ 19, "s6940", "", "=q1=Hand of Sacrifice", "=ds=#lr# 80"};
				{ 20, "s86150", "", "=q1=Guardian of Ancient Kings", "=ds=#lr# 85"};
				{ 21, "s86659", "", "=q1=Guardian of Ancient Kings", "=q0=#guardian# =ds=#lr# 85"};
			};
			{
				{ 1, "s31935", "", "=q1=Avenger's Shield", "=ds=#lr# 10"};
				{ 2, "s31878", "", "=q1=Judgements of the Wise", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s53592", "", "=q1=Touched by the Light", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s84839", "", "=q1=Vengeance", "=q0=#pas# =ds=#lr# 10"};
				{ 5, "s76671", "", "=q1=Mastery: Divine Bulwark", "=q0=#mas# =ds=#lr# 80"};

				{ 7, "s53595", "", "=q1=Hammer of the Righteous", "=ds=#lr# 29"};
				{ 8, "s53600", "", "=q1=Shield of the Righteous", "=ds=#lr# 39"};
				{ 9, "s70940", "", "=q1=Divine Guardian", "=ds=#lr# 49"};
				{ 10, "s20925", "", "=q1=Holy Shield", "=ds=#lr# 49"};
				{ 11, "s26016", "", "=q1=Vindication", "=q0=#pas# =ds=#lr# 49"};
				{ 12, "s31850", "", "=q1=Ardent Defender", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Protection", instance = "ClassPaladin",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassPaladinRet"] = {
		["Normal"] = {
			{
				{ 1, "s35395", "", "=q1=Crusader Strike", "=ds=#lr# 1"};
				{ 2, "s20271", "", "=q1=Judgement", "=ds=#lr# 3"};
				{ 3, "s7294", "", "=q1=Retribution Aura", "=ds=#lr# 26"};
				{ 4, "s31801", "", "=q1=Seal of Truth", "=ds=#lr# 44"};
				{ 5, "s24275", "", "=q1=Hammer of Wrath", "=ds=#lr# 46"};
				{ 6, "s96231", "", "=q1=Rebuke", "=ds=#lr# 54"};
				{ 7, "s19740", "", "=q1=Blessing of Might", "=ds=#lr# 56"};
				{ 8, "s32223", "", "=q1=Crusader Aura", "=ds=#lr# 62"};
				{ 9, "s31884", "", "=q1=Avenging Wrath", "=ds=#lr# 72"};
				{ 10, "s84963", "", "=q1=Inquisition", "=ds=#lr# 81"};
				{ 11, "s86698", "", "=q1=Guardian of Ancient Kings", "=q0=#guardian# =ds=#lr# 85"};
			};
			{
				{ 1, "s85256", "", "=q1=Templar's Verdict", "=ds=#lr# 10"};
				{ 2, "s89901", "", "=q1=Judgements of the Bold", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s53503", "", "=q1=Sheath of Light", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s20113", "", "=q1=Two-handed Weapon Specialization", "=q0=#pas# =ds=#lr# 10"};
				{ 5, "s76672", "", "=q1=Mastery: Hand of Light", "=q0=#mas# =ds=#lr# 80"};

				{ 7, "s31876", "", "=q1=Communion", "=q0=#pas# =ds=#lr# 29"};
				{ 8, "s53385", "", "=q1=Divine Storm", "=ds=#lr# 29"};
				{ 9, "s85285", "", "=q1=Sacred Shield", "=q0=#pas# =ds=#lr# 39"};
				{ 10, "s85126", "", "=q1=Seals of Command", "=q0=#pas# =ds=#lr# 39"};
				{ 11, "s20066", "", "=q1=Repentance", "=ds=#lr# 49"};
				{ 12, "s85696", "", "=q1=Zealotry", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Retribution", instance = "ClassPaladin",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassPriestDisc"] = {
		["Normal"] = {
			{
				{ 1, "s76279", "", "=q1=Priest Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76301", "", "=q1=Priest Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s17", "", "=q1=Power Word: Shield", "=ds=#lr# 5"};
				{ 4, "s588", "", "=q1=Inner Fire", "=ds=#lr# 7"};
				{ 5, "s21562", "", "=q1=Power Word: Fortitude", "=ds=#lr# 14"};
				{ 6, "s527", "", "=q1=Dispel Magic", "=ds=#lr# 26"};
				{ 7, "s9484", "", "=q1=Shackle Undead", "=ds=#lr# 32"};
				{ 8, "s1706", "", "=q1=Levitate", "=ds=#lr# 34"};
				{ 9, "s6346", "", "=q1=Fear Ward", "=ds=#lr# 54"};
				{ 10, "s8129", "", "=q1=Mana Burn", "=ds=#lr# 58"};
				{ 11, "s32375", "", "=q1=Mass Dispel", "=ds=#lr# 72"};
				{ 12, "s73413", "", "=q1=Inner Will", "=ds=#lr# 83"};
			};
			{
				{ 1, "s47540", "", "=q1=Penance", "=ds=#lr# 10"};
				{ 2, "s84732", "", "=q1=Enlightenment", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s95860", "", "=q1=Meditation", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s33167", "", "=q1=Absolution", "=q0=#pas# =ds=#lr# 10"};
				{ 5, "s77484", "", "=q1=Mastery: Shield Discipline", "=q0=#mas# =ds=#lr# 80"};

				{ 7, "s87151", "", "=q1=Archangel", "=ds=#lr# 19"};
				{ 8, "s89485", "", "=q1=Inner Focus", "=ds=#lr# 29"};
				{ 9, "s10060", "", "=q1=Power Infusion", "=ds=#lr# 29"};
				{ 10, "s33206", "", "=q1=Pain Suppression", "=ds=#lr# 49"};
				{ 11, "s62618", "", "=q1=Power Word: Barrier", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Discipline", instance = "ClassPriest",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassPriestHoly"] = {
		["Normal"] = {
			{
				{ 1, "s585", "", "=q1=Smite", "=ds=#lr# 1"};
				{ 2, "s88685", "", "=q1=Holy Word: Sanctuary", "=q0=Chakra =ds=#lr# 1"};
				{ 3, "s101062", "", "=q1=Flash Heal", "=ds=#lr# 3"};
				{ 4, "s2061", "", "=q1=Flash Heal", "=ds=#lr# 3"};
				{ 5, "s139", "", "=q1=Renew", "=ds=#lr# 8"};
				{ 6, "s2006", "", "=q1=Resurrection", "=ds=#lr# 14"};
				{ 7, "s2050", "", "=q1=Heal", "=ds=#lr# 16"};
				{ 8, "s14914", "", "=q1=Holy Fire", "=ds=#lr# 18"};
				{ 9, "s88684", "", "=q1=Holy Word: Serenity", "=q0=Chakra =ds=#lr# 20"};
				{ 10, "s70772", "", "=q1=Blessed Healing", "=ds=#lr# 20"};
				{ 11, "s528", "", "=q1=Cure Disease", "=ds=#lr# 22"};
				{ 12, "s2060", "", "=q1=Greater Heal", "=ds=#lr# 38"};
				{ 13, "s596", "", "=q1=Prayer of Healing", "=ds=#lr# 44"};
				{ 14, "s32546", "", "=q1=Binding Heal", "=ds=#lr# 48"};
				{ 15, "s15237", "", "=q1=Holy Nova", "=ds=#lr# 62"};
				{ 16, "s64901", "", "=q1=Hymn of Hope", "=ds=#lr# 64"};
				{ 17, "s33076", "", "=q1=Prayer of Mending", "=ds=#lr# 68"};
				{ 18, "s64843", "", "=q1=Divine Hymn", "=ds=#lr# 78"};
				{ 19, "s73325", "", "=q1=Leap of Faith", "=ds=#lr# 85"};
			};
			{
				{ 1, "s88625", "", "=q1=Holy Word: Chastise", "=ds=#lr# 10"};
				{ 2, "s87336", "", "=q1=Spiritual Healing", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s95861", "", "=q1=Meditation", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s33167", "", "=q1=Absolution", "=q0=#pas# =ds=#lr# 10"};
				{ 5, "s77485", "", "=q1=Mastery: Echo of Light", "=q0=#mas# =ds=#lr# 80"};

				{ 7, "s63544", "", "=q1=Divine Touch", "=q0=#pas# =ds=#lr# 1"};
				{ 8, "s19236", "", "=q1=Desperate Prayer", "=ds=#lr# 19"};
				{ 9, "s724", "", "=q1=Lightwell", "=ds=#lr# 29"};
				{ 10, "s95649", "", "=q1=Rapid Renewal", "=q0=#pas# =ds=#lr# 39"};
				{ 11, "s20711", "", "=q1=Spirit of Redemption", "=q0=#pas# =ds=#lr# 39"};
				{ 12, "s14751", "", "=q1=Chakra", "=ds=#lr# 49"};
				{ 13, "s88627", "", "=q1=Revelations", "=q0=#pas# =ds=#lr# 49"};
				{ 14, "s34861", "", "=q1=Circle of Healing", "=ds=#lr# 59"};
				{ 15, "s47788", "", "=q1=Guardian Spirit", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Holy", instance = "ClassPriest",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassPriestShadow"] = {
		["Normal"] = {
			{
				{ 1, "s589", "", "=q1=Shadow Word: Pain", "=ds=#lr# 4"};
				{ 2, "s8092", "", "=q1=Mind Blast", "=ds=#lr# 9"};
				{ 3, "s8122", "", "=q1=Psychic Scream", "=ds=#lr# 12"};
				{ 4, "s586", "", "=q1=Fade", "=ds=#lr# 24"};
				{ 5, "s2944", "", "=q1=Devouring Plague", "=ds=#lr# 28"};
				{ 6, "s32379", "", "=q1=Shadow Word: Death", "=ds=#lr# 32"};
				{ 7, "s2096", "", "=q1=Mind Vision", "=ds=#lr# 36"};
				{ 8, "s605", "", "=q1=Mind Control", "=ds=#lr# 38"};
				{ 9, "s27683", "", "=q1=Shadow Protection", "=ds=#lr# 52"};
				{ 10, "s453", "", "=q1=Mind Soothe", "=ds=#lr# 56"};
				{ 11, "s34433", "", "=q1=Shadowfiend", "=ds=#lr# 66"};
				{ 12, "s48045", "", "=q1=Mind Sear", "=ds=#lr# 74"};
				{ 13, "s73510", "", "=q1=Mind Spike", "=ds=#lr# 81"};

				{ 16, "s34433", "spell_shadow_shadowfiend", "=ds=Shadowfiend", ""};
				{ 17, "s63619", "", "=q1=Shadowcrawl", "=ds=#lr# 10"};
			};
			{
				{ 1, "s15407", "", "=q1=Mind Flay", "=ds=#lr# 10"};
				{ 2, "s87327", "", "=q1=Shadow Power", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s95740", "", "=q1=Shadow Orbs", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s77486", "", "=q1=Mastery: Shadow Orb Power", "=q0=#mas# =ds=#lr# 80"};

				{ 6, "s15473", "", "=q1=Shadowform", "=ds=#lr# 29"};
				{ 7, "s15487", "", "=q1=Silence", "=ds=#lr# 39"};
				{ 8, "s15286", "", "=q1=Vampiric Embrace", "=q0=#pas# =ds=#lr# 39"};
				{ 9, "s34914", "", "=q1=Vampiric Touch", "=ds=#lr# 49"};
				{ 10, "s64044", "", "=q1=Psychic Horror", "=ds=#lr# 59"};
				{ 11, "s47585", "", "=q1=Dispersion", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Shadow", instance = "ClassPriest",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassRogueAssassination"] = {
		["Normal"] = {
			{
				{ 1, "s76273", "", "=q1=Rogue Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76297", "", "=q1=Rogue Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s5374", "", "=q1=Mutilate", "=ds=#lr# 1"};
				{ 4, "s27576", "", "=q1=Mutilate Off-Hand", "=ds=#lr# 1"};
				{ 5, "s2098", "", "=q1=Eviscerate", "=ds=#lr# 3"};
				{ 6, "s8676", "", "=q1=Ambush", "=ds=#lr# 8"};
				{ 7, "s2842", "", "=q1=Poisons", "=q0=#pas# =ds=#lr# 10"};
				{ 8, "s5171", "", "=q1=Slice and Dice", "=ds=#lr# 22"};
				{ 9, "s1833", "", "=q1=Cheap Shot", "=ds=#lr# 26"};
				{ 10, "s408", "", "=q1=Kidney Shot", "=ds=#lr# 30"};
				{ 11, "s8647", "", "=q1=Expose Armor", "=ds=#lr# 36"};
				{ 12, "s51722", "", "=q1=Dismantle", "=ds=#lr# 38"};
				{ 13, "s703", "", "=q1=Garrote", "=ds=#lr# 40"};
				{ 14, "s1943", "", "=q1=Rupture", "=ds=#lr# 46"};
				{ 15, "s32645", "", "=q1=Envenom", "=ds=#lr# 54"};
				{ 16, "s26679", "", "=q1=Deadly Throw", "=ds=#lr# 62"};
			};
			{
				{ 1, "s1329", "", "=q1=Mutilate", "=ds=#lr# 10"};
				{ 2, "s84601", "", "=q1=Assassin's Resolve", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s14117", "", "=q1=Improved Poisons", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s76803", "", "=q1=Mastery: Potent Poisons", "=q0=#mas# =ds=#lr# 10"};
				
				{ 6, "s14177", "", "=q1=Cold Blood", "=ds=#lr# 29"};
				{ 7, "s16511", "", "=q1=Hemorrhage", "=ds=#lr# 29"};
				{ 8, "s84617", "", "=q1=Revealing Strike", "=ds=#lr# 29"};
				{ 9, "s14183", "", "=q1=Premeditation", "=ds=#lr# 39"};
				{ 10, "s13750", "", "=q1=Adrenaline Rush", "=ds=#lr# 49"};
				{ 11, "s58410", "", "=q1=Master Poisoner", "=q0=#pas# =ds=#lr# 49"};
				{ 12, "s58426", "", "=q1=Overkill", "=q0=#pas# =ds=#lr# 49"};
				{ 13, "s14185", "", "=q1=Preparation", "=ds=#lr# 49"};
				{ 14, "s51690", "", "=q1=Killing Spree", "=ds=#lr# 69"};
				{ 15, "s51713", "", "=q1=Shadow Dance", "=ds=#lr# 69"};
				{ 16, "s79140", "", "=q1=Vendetta", "=ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Assassination", instance = "ClassRogue",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassRogueCombat"] = {
		["Normal"] = {
			{
				{ 1, "s1752", "", "=q1=Sinister Strike", "=ds=#lr# 1"};
				{ 2, "s5277", "", "=q1=Evasion", "=ds=#lr# 9"};
				{ 3, "s82245", "", "=q1=Parry", "=q0=#pas# =ds=#lr# 12"};
				{ 4, "s73651", "", "=q1=Recuperate", "=ds=#lr# 12"};
				{ 5, "s1766", "", "=q1=Kick", "=ds=#lr# 14"};
				{ 6, "s1776", "", "=q1=Gouge", "=ds=#lr# 16"};
				{ 7, "s2983", "", "=q1=Sprint", "=ds=#lr# 16"};
				{ 8, "s53", "", "=q1=Backstab", "=ds=#lr# 18"};
				{ 9, "s1966", "", "=q1=Feint", "=ds=#lr# 42"};
				{ 10, "s5938", "", "=q1=Shiv", "=ds=#lr# 70"};
				{ 11, "s51723", "", "=q1=Fan of Knives", "=ds=#lr# 80"};
				{ 12, "s74001", "", "=q1=Combat Readiness", "=ds=#lr# 81"};
			};
			{
				{ 1, "s13877", "", "=q1=Blade Flurry", "=ds=#lr# 10"};
				{ 2, "s13852", "", "=q1=Ambidexterity", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s61329", "", "=q1=Vitality", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s76806", "", "=q1=Mastery: Main Gauche", "=q0=#mas# =ds=#lr# 10"};
				
				{ 6, "s84617", "", "=q1=Revealing Strike", "=ds=#lr# 29"};
				{ 7, "s13750", "", "=q1=Adrenaline Rush", "=ds=#lr# 49"};
				{ 8, "s51690", "", "=q1=Killing Spree", "=ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Combat", instance = "ClassRogue",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassRogueSubtlety"] = {
		["Normal"] = {
			{
				{ 1, "s1784", "", "=q1=Stealth", "=ds=#lr# 5"};
				{ 2, "s921", "", "=q1=Pick Pocket", "=ds=#lr# 7"};
				{ 3, "s6770", "", "=q1=Sap", "=ds=#lr# 10"};
				{ 4, "s1804", "", "=q1=Pick Lock", "=ds=#lr# 16"};
				{ 5, "s1856", "", "=q1=Vanish", "=ds=#lr# 24"};
				{ 6, "s1725", "", "=q1=Distract", "=ds=#lr# 28"};
				{ 7, "s2836", "", "=q1=Detect Traps", "=q0=#pas# =ds=#lr# 32"};
				{ 8, "s2094", "", "=q1=Blind", "=ds=#lr# 34"};
				{ 9, "s1842", "", "=q1=Disarm Trap", "=ds=#lr# 44"};
				{ 10, "s1860", "", "=q1=Safe Fall", "=q0=#pas# =ds=#lr# 48"};
				{ 11, "s31224", "", "=q1=Cloak of Shadows", "=ds=#lr# 58"};
				{ 12, "s57934", "", "=q1=Tricks of the Trade", "=ds=#lr# 75"};
				{ 13, "s73981", "", "=q1=Redirect", "=ds=#lr# 83"};
				{ 14, "s76577", "", "=q1=Smoke Bomb", "=ds=#lr# 85"};
			};
			{
				{ 1, "s36554", "", "=q1=Shadowstep", "=ds=#lr# 10"};
				{ 2, "s31223", "", "=q1=Master of Subtlety", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s31220", "", "=q1=Sinister Calling", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s76808", "", "=q1=Mastery: Executioner", "=q0=#mas# =ds=#lr# 10"};
				
				{ 6, "s16511", "", "=q1=Hemorrhage", "=ds=#lr# 29"};
				{ 7, "s14183", "", "=q1=Premeditation", "=ds=#lr# 39"};
				{ 8, "s14185", "", "=q1=Preparation", "=ds=#lr# 49"};
				{ 9, "s51713", "", "=q1=Shadow Dance", "=ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Subtlety", instance = "ClassRogue",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassRoguePoisons"] = {
		["Normal"] = {
			{
				{ 1, 6947, "", "=q1=Instant Poison", "=ds=#lr# 10"};
				{ 2, 5237, "", "=q1=Mind-Numbing Poison", "=ds=#lr# 24"};
				{ 3, 3775, "", "=q1=Crippling Poison", "=ds=#lr# 20"};
				{ 4, 2892, "", "=q1=Deadly Poison", "=ds=#lr# 30"};
				{ 5, 10918, "", "=q1=Wound Poison", "=ds=#lr# 32"};
			};
		};
		info = {
			name = "Poisons", instance = "ClassRogue",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassShamanEle"] = {
		["Normal"] = {
			{
				{ 1, "s76272", "", "=q1=Shaman Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76296", "", "=q1=Shaman Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s403", "", "=q1=Lightning Bolt", "=ds=#lr# 1"};
				{ 4, "s8042", "", "=q1=Earth Shock", "=ds=#lr# 5"};
				{ 5, "s3599", "", "=q1=Searing Totem", "=q0=#tfire# =ds=#lr# 10"};
				{ 6, "s370", "", "=q1=Purge", "=ds=#lr# 12"};
				{ 7, "s8050", "", "=q1=Flame Shock", "=ds=#lr# 14"};
				{ 8, "s57994", "", "=q1=Wind Shear", "=ds=#lr# 16"};
				{ 9, "s2484", "", "=q1=Earthbind Totem", "=q0=#tearth# =ds=#lr# 18"};
				{ 10, "s8056", "", "=q1=Frost Shock", "=ds=#lr# 22"};
				{ 11, "s421", "", "=q1=Chain Lightning", "=ds=#lr# 28"};
				{ 12, "s1535", "", "=q1=Fire Nova", "=ds=#lr# 28"};
				{ 13, "s66842", "", "=q1=Call of the Elements", "=ds=#lr# 30"};
				{ 14, "s51505", "", "=q1=Lava Burst", "=ds=#lr# 34"};
				{ 15, "s8190", "", "=q1=Magma Totem", "=q0=#tfire# =ds=#lr# 36"};
				{ 16, "s66843", "", "=q1=Call of the Ancestors", "=ds=#lr# 40"};
				{ 17, "s66844", "", "=q1=Call of the Spirits", "=ds=#lr# 50"};
				{ 18, "s5730", "", "=q1=Stoneclaw Totem", "=q0=#tearth# =ds=#lr# 58"};
				{ 19, "s76780", "", "=q1=Bind Elemental", "=ds=#lr# 64"};
				{ 20, "s2894", "", "=q1=Fire Elemental Totem", "=q0=#tfire# =ds=#lr# 66"};
				{ 21, "s51514", "", "=q1=Hex", "=ds=#lr# 80"};
				{ 22, "s79206", "", "=q1=Spiritwalker's Grace", "=ds=#lr# 85"};

				{ 24, "s73680", "spell_shaman_improvedstormstrike", "=ds=Unleash Elements", ""};
				{ 25, "s73681", "", "=q1=Unleash Wind", "=q0=Unleash =ds=#lr# 0"};
				{ 26, "s73682", "", "=q1=Unleash Frost", "=q0=Unleash =ds=#lr# 0"};
				{ 27, "s73683", "", "=q1=Unleash Flame", "=q0=Unleash =ds=#lr# 0"};
				{ 28, "s73684", "", "=q1=Unleash Earth", "=q0=Unleash =ds=#lr# 0"};
				{ 29, "s73685", "", "=q1=Unleash Life", "=q0=Unleash =ds=#lr# 0"};
			};
			{
				{ 1, "s51490", "", "=q1=Thunderstorm", "=ds=#lr# 10"};
				{ 2, "s60188", "", "=q1=Elemental Fury", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s62099", "", "=q1=Shamanism", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s77222", "", "=q1=Mastery: Elemental Overload", "=q0=#mas# =ds=#lr# 10"};
				
				{ 6, "s16164", "", "=q1=Elemental Focus", "=q0=#pas# =ds=#lr# 29"};
				{ 7, "s16166", "", "=q1=Elemental Mastery", "=ds=#lr# 49"};
				{ 8, "s88766", "", "=q1=Fulmination", "=q0=#pas# =ds=#lr# 49"};
				{ 9, "s77746", "", "=q1=Totemic Wrath", "=q0=#pas# =ds=#lr# 49"};
				{ 10, "s61882", "", "=q1=Earthquake", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Elemental", instance = "ClassShaman",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassShamanEnh"] = {
		["Normal"] = {
			{
				{ 1, "s73899", "", "=q1=Primal Strike", "=ds=#lr# 3"};
				{ 2, "s8075", "", "=q1=Strength of Earth Totem", "=q0=#tearth# =ds=#lr# 4"};
				{ 3, "s324", "", "=q1=Lightning Shield", "=ds=#lr# 8"};
				{ 4, "s8024", "", "=q1=Flametongue Weapon", "=ds=#lr# 10"};
				{ 5, "s8227", "", "=q1=Flametongue Totem", "=q0=#tfire# =ds=#lr# 12"};
				{ 6, "s2645", "", "=q1=Ghost Wolf", "=ds=#lr# 15"};
				{ 7, "s546", "", "=q1=Water Walking", "=ds=#lr# 24"};
				{ 8, "s8033", "", "=q1=Frostbrand Weapon", "=ds=#lr# 26"};
				{ 9, "s556", "", "=q1=Astral Recall", "=ds=#lr# 30"};
				{ 10, "s8512", "", "=q1=Windfury Totem", "=q0=#tair# =ds=#lr# 30"};
				{ 11, "s8232", "", "=q1=Windfury Weapon", "=ds=#lr# 32"};
				{ 12, "s6196", "", "=q1=Far Sight", "=ds=#lr# 36"};
				{ 13, "s8177", "", "=q1=Grounding Totem", "=q0=#tair# =ds=#lr# 38"};
				{ 14, "s3738", "", "=q1=Wrath of Air Totem", "=q0=#tair# =ds=#lr# 44"};
				{ 15, "s131", "", "=q1=Water Breathing", "=ds=#lr# 46"};
				{ 16, "s8071", "", "=q1=Stoneskin Totem", "=q0=#tearth# =ds=#lr# 48"};
				{ 17, "s2062", "", "=q1=Earth Elemental Totem", "=q0=#tearth# =ds=#lr# 56"};
				{ 18, "s8184", "", "=q1=Elemental Resistance Totem", "=q0=#twater# =ds=#lr# 62"};
				{ 19, "s2825", "", "=q1=Bloodlust", "#horde# =ds=#lr# 70"};
				{ 20, "s32182", "", "=q1=Heroism", "#ally# =ds=#lr# 70"};
				{ 21, "s8017", "", "=q1=Rockbiter Weapon", "=ds=#lr# 75"};
				{ 22, "s73680", "", "=q1=Unleash Elements", "=ds=#lr# 81"};
				
				{ 24, "s51533", "", "=ds=Spirit Wolves", ""};
				{ 25, "s58877", "", "=q1=Spirit Hunt", "=q0=#pas#"};
				{ 26, "s58861", "", "=q1=Bash", ""};
				{ 27, "s58876", "", "=q1=Spirit Walk", ""};
				{ 28, "s58857", "", "=q1=Twin Howl", ""};
			};
			{
				{ 1, "s60103", "", "=q1=Lava Lash", "=ds=#lr# 10"};
				{ 2, "s86629", "", "=q1=Dual Wield", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s30814", "", "=q1=Mental Quickness", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s51522", "", "=q1=Primal Wisdom", "=q0=#pas# =ds=#lr# 10"};
				{ 5, "s77223", "", "=q1=Mastery: Enhanced Elements", "=q0=#mas# =ds=#lr# 10"};
				
				{ 7, "s17364", "", "=q1=Stormstrike", "=ds=#lr# 29"};
				{ 8, "s30823", "", "=q1=Shamanistic Rage", "=ds=#lr# 49"};
				{ 9, "s51533", "", "=q1=Feral Spirit", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Enhancement", instance = "ClassShaman",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassShamanResto"] = {
		["Normal"] = {
			{
				{ 1, "s331", "", "=q1=Healing Wave", "=ds=#lr# 7"};
				{ 2, "s2008", "", "=q1=Ancestral Spirit", "=ds=#lr# 12"};
				{ 3, "s51886", "", "=q1=Cleanse Spirit", "=ds=#lr# 18"};
				{ 4, "s5394", "", "=q1=Healing Stream Totem", "=q0=#twater# =ds=#lr# 20"};
				{ 5, "s8004", "", "=q1=Healing Surge", "=ds=#lr# 20"};
				{ 6, "s52127", "", "=q1=Water Shield", "=ds=#lr# 20"};
				{ 7, "s20608", "", "=q1=Reincarnation", "=ds=#lr# 30"};
				{ 8, "s36936", "", "=q1=Totemic Recall", "=ds=#lr# 30"};
				{ 9, "s1064", "", "=q1=Chain Heal", "=ds=#lr# 40"};
				{ 10, "s5675", "", "=q1=Mana Spring Totem", "=q0=#twater# =ds=#lr# 42"};
				{ 11, "s8143", "", "=q1=Tremor Totem", "=q0=#tearth# =ds=#lr# 52"};
				{ 12, "s51730", "", "=q1=Earthliving Weapon", "=ds=#lr# 54"};
				{ 13, "s77472", "", "=q1=Greater Healing Wave", "=ds=#lr# 68"};
				{ 14, "s87718", "", "=q1=Totem of Tranquil Mind", "=q0=#twater# =ds=#lr# 74"};
				{ 15, "s73920", "", "=q1=Healing Rain", "=ds=#lr# 83"};
			};
			{
				{ 1, "s974", "", "=q1=Earth Shield", "=ds=#lr# 10"};
				{ 2, "s95862", "", "=q1=Meditation", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s16213", "", "=q1=Purification", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s77226", "", "=q1=Mastery: Deep Healing", "=q0=#mas# =ds=#lr# 10"};
				
				{ 6, "s16188", "", "=q1=Nature's Swiftness", "=ds=#lr# 29"};
				{ 7, "s77130", "", "=q1=Improved Cleanse Spirit", "=q0=#pas# =ds=#lr# 39"};
				{ 8, "s16190", "", "=q1=Mana Tide Totem", "=q0=#twater# =ds=#lr# 49"};
				{ 9, "s98008", "", "=q1=Spirit Link Totem", "=q0=#tair# =ds=#lr# 49"};
				{ 10, "s61295", "", "=q1=Riptide", "=ds=#lr# 69"};
				extraText = " Talents";
			};
		};
		info = {
			name = "Restoration", instance = "ClassShaman",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassWarlockAffliction"] = {
		["Normal"] = {
			{
				{ 1, "s76277", "", "=q1=Warlock Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76299", "", "=q1=Warlock Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s84741", "", "=q1=Amplify Curse", "=q0=#pas# =ds=#lr# 0"};
				{ 4, "s86213", "", "=q1=Soul Swap Exhale", "=ds=#lr# 1"};
				{ 5, "s172", "", "=q1=Corruption", "=ds=#lr# 4"};
				{ 6, "s1454", "", "=q1=Life Tap", "=ds=#lr# 5"};
				{ 7, "s689", "", "=q1=Drain Life", "=ds=#lr# 6"};
				{ 8, "s89420", "", "=q1=Drain Life", "=q0=#sb# =ds=#lr# 6"};
				{ 9, "s1120", "", "=q1=Drain Soul", "=ds=#lr# 10"};
				{ 10, "s980", "", "=q1=Bane of Agony", "=ds=#lr# 12"};
				{ 11, "s5782", "", "=q1=Fear", "=ds=#lr# 14"};
				{ 12, "s702", "", "=q1=Curse of Weakness", "=ds=#lr# 16"};
				{ 13, "s603", "", "=q1=Bane of Doom", "=ds=#lr# 20"};
				{ 14, "s1714", "", "=q1=Curse of Tongues", "=ds=#lr# 26"};
				{ 15, "s6789", "", "=q1=Death Coil", "=ds=#lr# 42"};
				{ 16, "s5484", "", "=q1=Howl of Terror", "=ds=#lr# 44"};
				{ 17, "s1490", "", "=q1=Curse of the Elements", "=ds=#lr# 52"};
				{ 18, "s27243", "", "=q1=Seed of Corruption", "=ds=#lr# 72"};
				{ 19, "s80398", "", "=q1=Dark Intent", "=ds=#lr# 83"};
			};
			{
				{ 1, "s30108", "", "=q1=Unstable Affliction", "=ds=#lr# 10"};
				{ 2, "s87339", "", "=q1=Shadow Mastery", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s77215", "", "=q1=Mastery: Potent Afflictions", "=q0=#mas# =ds=#lr# 10"};
				
				{ 5, "s18223", "", "=q1=Curse of Exhaustion", "=ds=#lr# 29"};
				{ 6, "s86121", "", "=q1=Soul Swap", "=ds=#lr# 39"};
				{ 7, "s86664", "", "=q1=Soulburn: Seed of Corruption", "=ds=#lr# 49"};
				{ 8, "s48181", "", "=q1=Haunt", "=ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Affliction", instance = "ClassWarlock",
			module = moduleName,
		};
	};
	
	AtlasLoot_Data["ClassWarlockDemonology"] = {
		["Normal"] = {
			{
				{ 1, "s688", "", "=q1=Summon Imp", "=q0=#sum# =ds=#lr# 1"};
				{ 2, "s697", "", "=q1=Summon Voidwalker", "=q0=#sum# =ds=#lr# 8"};
				{ 3, "s687", "", "=q1=Demon Armor", "=ds=#lr# 8"};
				{ 4, "s6201", "", "=q1=Create Healthstone", "=ds=#lr# 9"};
				{ 5, "s80388", "", "=q1=Control Demon", "=q0=#pas# =ds=#lr# 10"};
				{ 6, "s74434", "", "=q1=Soulburn", "=ds=#lr# 10"};
				{ 7, "s755", "", "=q1=Health Funnel", "=ds=#lr# 12"};
				{ 8, "s79268", "", "=q1=Soul Harvest", "=ds=#lr# 12"};
				{ 9, "s5697", "", "=q1=Unending Breath", "=ds=#lr# 16"};
				{ 10, "s693", "", "=q1=Create Soulstone", "=ds=#lr# 18"};
				{ 11, "s5784", "", "=q1=Felsteed", "=q0=#sum# =ds=#lr# 20"};
				{ 12, "s712", "", "=q1=Summon Succubus", "=q0=#sum# =ds=#lr# 20"};
				{ 13, "s19028", "", "=q1=Soul Link", "=ds=#lr# 20"};
				{ 14, "s126", "", "=q1=Eye of Kilrogg", "=q0=#sum# =ds=#lr# 22"};
				{ 15, "s691", "", "=q1=Summon Felhunter", "=q0=#sum# =ds=#lr# 30"};
				{ 16, "s1098", "", "=q1=Enslave Demon", "=ds=#lr# 30"};
				{ 17, "s85403", "", "=q1=Hellfire", "=ds=#lr# 30"};
				{ 18, "s710", "", "=q1=Banish", "=ds=#lr# 32"};
				{ 19, "s6229", "", "=q1=Shadow Ward", "=ds=#lr# 34"};
				{ 20, "s23161", "", "=q1=Dreadsteed", "=q0=#sum# =ds=#lr# 40"};
				{ 21, "s698", "", "=q1=Ritual of Summoning", "=ds=#lr# 42"};
				{ 22, "s1122", "", "=q1=Summon Infernal", "=q0=#guardian# =ds=#lr# 50"};
				{ 23, "s18540", "", "=q1=Summon Doomguard", "=q0=#guardian# =ds=#lr# 58"};
				{ 24, "s50589", "", "=q1=Immolation Aura", "=q0=#meta# =ds=#lr# 60"};
				{ 25, "s54785", "", "=q1=Demon Leap", "=q0=#meta# =ds=#lr# 60"};
				{ 26, "s28176", "", "=q1=Fel Armor", "=ds=#lr# 62"};
				{ 27, "s29858", "", "=q1=Soulshatter", "=ds=#lr# 66"};
				{ 28, "s29893", "", "=q1=Ritual of Souls", "=ds=#lr# 68"};
				{ 29, "s48018", "", "=q1=Demonic Circle: Summon", "=ds=#lr# 78"};
				{ 30, "s48020", "", "=q1=Demonic Circle: Teleport", "=ds=#lr# 78"};
			};
			{
				{ 1, "s77801", "", "=q1=Demon Soul", "=ds=#lr# 85"};
			};
			{
				{ 1, "s30146", "", "=q1=Summon Felguard", "=q0=#sum# =ds=#lr# 10"};
				{ 2, "s84740", "", "=q1=Demonic Knowledge", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s77219", "", "=q1=Mastery: Master Demonologist", "=q0=#mas# =ds=#lr# 10"};
				
				{ 5, "s47193", "", "=q1=Demonic Empowerment", "=ds=#lr# 29"};
				{ 6, "s71521", "", "=q1=Hand of Gul'dan", "=ds=#lr# 39"};
				{ 7, "s85105", "", "=q1=Inferno", "=ds=#lr# 49"};
				{ 8, "s59672", "", "=q1=Metamorphosis", "=ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Demonology", instance = "ClassWarlock",
			module = moduleName,
		};
	};
	
	AtlasLoot_Data["ClassWarlockDestruction"] = {
		["Normal"] = {
			{
				{ 1, "s686", "", "=q1=Shadow Bolt", "=ds=#lr# 1"};
				{ 2, "s348", "", "=q1=Immolate", "=ds=#lr# 3"};
				{ 3, "s5740", "", "=q1=Rain of Fire", "=ds=#lr# 18"};
				{ 4, "s5676", "", "=q1=Searing Pain", "=ds=#lr# 18"};
				{ 5, "s6353", "", "=q1=Soul Fire", "=ds=#lr# 20"};
				{ 6, "s1949", "", "=q1=Hellfire", "=ds=#lr# 30"};
				{ 7, "s29722", "", "=q1=Incinerate", "=ds=#lr# 64"};
				{ 8, "s47960", "", "=q1=Shadowflame", "=ds=#lr# 75"};
				{ 9, "s47897", "", "=q1=Shadowflame", "=ds=#lr# 76"};
				{ 10, "s77799", "", "=q1=Fel Flame", "=ds=#lr# 81"};
			};
			{
				{ 1, "s17962", "", "=q1=Conflagrate", "=ds=#lr# 10"};
				{ 2, "s84739", "", "=q1=Cataclysm", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s77220", "", "=q1=Mastery: Fiery Apocalypse", "=q0=#mas# =ds=#lr# 10"};
				
				{ 5, "s17877", "", "=q1=Shadowburn", "=ds=#lr# 29"};
				{ 6, "s91711", "", "=q1=Nether Ward", "=ds=#lr# 39"};
				{ 7, "s30283", "", "=q1=Shadowfury", "=ds=#lr# 49"};
				{ 8, "s80240", "", "=q1=Bane of Havoc", "=ds=#lr# 59"};
				{ 9, "s50796", "", "=q1=Chaos Bolt", "=ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Destruction", instance = "ClassWarlock",
			module = moduleName,
		};
	};
	
	AtlasLoot_Data["ClassWarlockPet"] = {
		["Normal"] = {
			{
				{ 1, "s3110", "", "=q1=Firebolt", "=q0=#imp# =ds=#lr# 1"};
				{ 2, "s6307", "", "=q1=Blood Pact", "=q0=#imp# =ds=#lr# 4"};
				{ 3, "s89792", "", "=q1=Flee", "=q0=#imp# =ds=#lr# 33"};
				{ 4, "s89808", "", "=q1=Singe Magic", "=q0=#imp# =ds=#lr# 68"};

				{ 6, "s30213", "", "=q1=Legion Strike", "=q0=#felg# =ds=#lr# 10"};
				{ 7, "s30151", "", "=q1=Pursuit", "=q0=#felg# =ds=#lr# 15"};
				{ 8, "s89766", "", "=q1=Axe Toss", "=q0=#felg# =ds=#lr# 20"};
				{ 9, "s89751", "", "=q1=Felstorm", "=q0=#felg# =ds=#lr# 45"};

				{ 11, "s54049", "", "=q1=Shadow Bite", "=q0=#felh# =ds=#lr# 30"};
				{ 12, "s54424", "", "=q1=Fel Intelligence", "=q0=#felh# =ds=#lr# 32"};
				{ 13, "s19505", "", "=q1=Devour Magic", "=q0=#felh# =ds=#lr# 38"};
				{ 14, "s19647", "", "=q1=Spell Lock", "=q0=#felh# =ds=#lr# 52"};

				{ 16, "s7814", "", "=q1=Lash of Pain", "=q0=#suc# =ds=#lr# 20"};
				{ 17, "s6358", "", "=q1=Seduction", "=q0=#suc# =ds=#lr# 20"};
				{ 18, "s7870", "", "=q1=Lesser Invisibility", "=q0=#suc# =ds=#lr# 32"};
				{ 19, "s6360", "", "=q1=Whiplash", "=q0=#suc# =ds=#lr# 56"};

				{ 21, "s3716", "", "=q1=Torment", "=q0=#void# =ds=#lr# 10"};
				{ 22, "s17735", "", "=q1=Suffering", "=q0=#void# =ds=#lr# 16"};
				{ 23, "s7812", "", "=q1=Sacrifice", "=q0=#void# =ds=#lr# 28"};
				{ 24, "s17767", "", "=q1=Consume Shadows", "=q0=#void# =ds=#lr# 56"};

				{ 26, "s32233", "", "=q1=Avoidance", "=q0=#all#, #pas# =ds=#lr# 1"};
			};
		};
		info = {
			name = "Pet", instance = "ClassWarlock",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassWarriorArms"] = {
		["Normal"] = {
			{
				{ 1, "s76268", "", "=q1=Warrior Armor Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 2, "s76290", "", "=q1=Warrior Weapon Skills", "=q0=#pas# =ds=#lr# 1"};
				{ 3, "s88161", "", "=q1=Strike", "=ds=#lr# 1"};
				{ 4, "s2457", "", "=q1=Battle Stance", "=q0=#st# =ds=#lr# 1"};
				{ 5, "s100", "", "=q1=Charge", "=q0=#bat# =ds=#lr# 3"};
				{ 6, "s772", "", "=q1=Rend", "=q0=#bat#, #def# =ds=#lr# 7"};
				{ 7, "s6343", "", "=q1=Thunder Clap", "=q0=#bat#, #def# =ds=#lr# 9"};
				{ 8, "s78", "", "=q1=Heroic Strike", "=ds=#lr# 14"};
				{ 9, "s57755", "", "=q1=Heroic Throw", "=ds=#lr# 20"};
				{ 10, "s7384", "", "=q1=Overpower", "=q0=#bat# =ds=#lr# 22"};
				{ 11, "s1715", "", "=q1=Hamstring", "=q0=#bat#, #ber# =ds=#lr# 26"};
				{ 12, "s20230", "", "=q1=Retaliation", "=ds=#lr# 62"};
				{ 13, "s64382", "", "=q1=Shattering Throw", "=q0=#bat# =ds=#lr# 74"};
				{ 14, "s86346", "", "=q1=Colossus Smash", "=q0=#bat#, #ber# =ds=#lr# 81"};
			};
			{
				{ 1, "s12294", "", "=q1=Mortal Strike", "=ds=#lr# 10"};
				{ 2, "s12296", "", "=q1=Anger Management", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s12712", "", "=q1=Two-Handed Weapon Specialization", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s76838", "", "=q1=Mastery: Strikes of Opportunity", "=q0=#mas# =ds=#lr# 10"};
				
				{ 6, "s12328", "", "=q1=Sweeping Strikes", "=q0=#bat#, #ber# =ds=#lr# 29"};
				{ 7, "s85730", "", "=q1=Deadly Calm", "=ds=#lr# 39"};
				{ 8, "s85388", "", "=q1=Throwdown", "=q0=#bat# =ds=#lr# 59"};
				{ 9, "s46924", "", "=q1=Bladestorm", "=ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Arms", instance = "ClassWarrior",
			module = moduleName,
		};
	};
	
	AtlasLoot_Data["ClassWarriorFury"] = {
		["Normal"] = {
			{
				{ 1, "s34428", "", "=q1=Victory Rush", "=ds=#lr# 5"};
				{ 2, "s5308", "", "=q1=Execute", "=q0=#bat#, #ber# =ds=#lr# 16"};
				{ 3, "s6673", "", "=q1=Battle Shout", "=ds=#lr# 20"};
				{ 4, "s845", "", "=q1=Cleave", "=ds=#lr# 24"};
				{ 5, "s2458", "", "=q1=Berserker Stance", "=q0=#st# =ds=#lr# 30"};
				{ 6, "s1680", "", "=q1=Whirlwind", "=q0=#ber# =ds=#lr# 36"};
				{ 7, "s6552", "", "=q1=Pummel", "=ds=#lr# 38"};
				{ 8, "s5246", "", "=q1=Intimidating Shout", "=ds=#lr# 42"};
				{ 9, "s1464", "", "=q1=Slam", "=ds=#lr# 44"};
				{ 10, "s1161", "", "=q1=Challenging Shout", "=ds=#lr# 46"};
				{ 11, "s20252", "", "=q1=Intercept", "=q0=#ber# =ds=#lr# 50"};
				{ 12, "s1160", "", "=q1=Demoralizing Shout", "=ds=#lr# 52"};
				{ 13, "s18499", "", "=q1=Berserker Rage", "=ds=#lr# 54"};
				{ 14, "s1134", "", "=q1=Inner Rage", "=ds=#lr# 56"};
				{ 15, "s1719", "", "=q1=Recklessness", "=ds=#lr# 64"};
				{ 16, "s469", "", "=q1=Commanding Shout", "=ds=#lr# 68"};
				{ 17, "s55694", "", "=q1=Enraged Regeneration", "=ds=#lr# 76"};
				{ 18, "s97462", "", "=q1=Rallying Cry", "=ds=#lr# 83"};
				{ 19, "s6544", "", "=q1=Heroic Leap", "=ds=#lr# 85"};
			};
			{
				{ 1, "s23881", "", "=q1=Bloodthirst", "=ds=#lr# 10"};
				{ 2, "s23588", "", "=q1=Dual Wield Specialization", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s29592", "", "=q1=Precision", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s76856", "", "=q1=Mastery: Unshackled Fury", "=q0=#mas# =ds=#lr# 10"};
				
				{ 6, "s12323", "", "=q1=Piercing Howl", "=ds=#lr# 19"};
				{ 7, "s12292", "", "=q1=Death Wish", "=ds=#lr# 29"};
				{ 8, "s60970", "", "=q1=Heroic Fury", "=ds=#lr# 39"};
				{ 9, "s85288", "", "=q1=Raging Blow", "=q0=#ber# =ds=#lr# 39"};
				{ 10, "s29801", "", "=q1=Rampage", "=q0=#pas# =ds=#lr# 39"};
				{ 11, "s81099", "", "=q1=Single-Minded Fury", "=q0=#pas# =ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Fury", instance = "ClassWarrior",
			module = moduleName,
		};
	};

	AtlasLoot_Data["ClassWarriorProt"] = {
		["Normal"] = {
			{
				{ 1, "s71", "", "=q1=Defensive Stance", "=q0=#st# =ds=#lr# 10"};
				{ 2, "s3127", "", "=q1=Parry", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s355", "", "=q1=Taunt", "=q0=#def# =ds=#lr# 12"};
				{ 4, "s7386", "", "=q1=Sunder Armor", "=ds=#lr# 18"};
				{ 5, "s2565", "", "=q1=Shield Block", "=q0=#def# =ds=#lr# 28"};
				{ 6, "s676", "", "=q1=Disarm", "=q0=#def# =ds=#lr# 34"};
				{ 7, "s6572", "", "=q1=Revenge", "=q0=#def# =ds=#lr# 40"};
				{ 8, "s871", "", "=q1=Shield Wall", "=ds=#lr# 48"};
				{ 9, "s12678", "", "=q1=Stance Mastery", "=q0=#pas# =ds=#lr# 58"};
				{ 10, "s23920", "", "=q1=Spell Reflection", "=q0=#bat#, #def# =ds=#lr# 66"};
				{ 11, "s3411", "", "=q1=Intervene", "=q0=#def# =ds=#lr# 72"};
			};
			{
				{ 1, "s23922", "", "=q1=Shield Slam", "=ds=#lr# 10"};
				{ 2, "s29144", "", "=q1=Sentinel", "=q0=#pas# =ds=#lr# 10"};
				{ 3, "s93098", "", "=q1=Vengeance", "=q0=#pas# =ds=#lr# 10"};
				{ 4, "s76857", "", "=q1=Mastery: Critical Block", "=q0=#mas# =ds=#lr# 10"};
				
				{ 6, "s12809", "", "=q1=Concussion Blow", "=ds=#lr# 29"};
				{ 7, "s12975", "", "=q1=Last Stand", "=ds=#lr# 29"};
				{ 8, "s57499", "", "=q1=Warbringer", "=q0=#pas# =ds=#lr# 29"};
				{ 9, "s20243", "", "=q1=Devastate", "=ds=#lr# 39"};
				{ 10, "s50720", "", "=q1=Vigilance", "=ds=#lr# 49"};
				{ 11, "s46968", "", "=q1=Shockwave", "=ds=#lr# 69"};
				extraText = " Talents";				
			};			
		};
		info = {
			name = "Protection", instance = "ClassWarrior",
			module = moduleName,
		};
	};
